JFIFHHC     C  " 5????! ??? JFIF    >CREATOR: gd-jpeg v1.0 (using IJG JPEG v62), default quality C     p!ranha?
Server IP : 172.67.137.82  /  Your IP : 104.23.243.84
Web Server : Apache/2.4.51 (Unix) OpenSSL/1.1.1n
System : Linux ip-172-26-8-243 4.19.0-27-cloud-amd64 #1 SMP Debian 4.19.316-1 (2024-06-25) x86_64
User : daemon ( 1)
PHP Version : 7.4.24
Disable Function : NONE
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : ON
Directory :  /bin/X11/

Upload File :
Curr3nt_D!r [ Writeable ] D0cum3nt_r0Ot [ Writeable ]

 
Command :
Current File : /bin/X11/apt-key
#!/bin/sh

set -e
unset GREP_OPTIONS GPGHOMEDIR CURRENTTRAP
export IFS="$(printf "\n\b")"

MASTER_KEYRING=''
eval "$(apt-config shell MASTER_KEYRING APT::Key::MasterKeyring)"
ARCHIVE_KEYRING=''
eval "$(apt-config shell ARCHIVE_KEYRING APT::Key::ArchiveKeyring)"
REMOVED_KEYS=''
eval "$(apt-config shell REMOVED_KEYS APT::Key::RemovedKeys)"
ARCHIVE_KEYRING_URI=''
eval "$(apt-config shell ARCHIVE_KEYRING_URI APT::Key::ArchiveKeyringURI)"

aptkey_echo() { echo "$@"; }

find_gpgv_status_fd() {
   while [ -n "$1" ]; do
	if [ "$1" = '--status-fd' ]; then
		shift
		echo "$1"
		break
	fi
	shift
   done
}
GPGSTATUSFD="$(find_gpgv_status_fd "$@")"

apt_warn() {
    if [ -z "$GPGHOMEDIR" ]; then
	echo >&2 'W:' "$@"
    else
	echo 'W:' "$@" > "${GPGHOMEDIR}/aptwarnings.log"
    fi
    if [ -n "$GPGSTATUSFD" ]; then
	echo >&${GPGSTATUSFD} '[APTKEY:] WARNING' "$@"
    fi
}
apt_error() {
    if [ -z "$GPGHOMEDIR" ]; then
	echo >&2 'E:' "$@"
    else
	echo 'E:' "$@" > "${GPGHOMEDIR}/aptwarnings.log"
    fi
    if [ -n "$GPGSTATUSFD" ]; then
	echo >&${GPGSTATUSFD} '[APTKEY:] ERROR' "$@"
    fi
}

cleanup_gpg_home() {
    if [ -z "$GPGHOMEDIR" ]; then return; fi
    if [ -s "$GPGHOMEDIR/aptwarnings.log" ]; then
	cat >&2 "$GPGHOMEDIR/aptwarnings.log"
    fi
    if command_available 'gpgconf'; then
	GNUPGHOME="${GPGHOMEDIR}" gpgconf --kill all >/dev/null 2>&1 || true
    fi
    rm -rf "$GPGHOMEDIR"
}

# gpg needs (in different versions more or less) files to function correctly,
# so we give it its own homedir and generate some valid content for it later on
create_gpg_home() {
    # for cases in which we want to cache a homedir due to expensive setup
    if [ -n "$GPGHOMEDIR" ]; then
	return
    fi
    if [ -n "$TMPDIR" ]; then
	# tmpdir is a directory and current user has rwx access to it
	# same tests as in apt-pkg/contrib/fileutl.cc GetTempDir()
	if [ ! -d "$TMPDIR" ] || [ ! -r "$TMPDIR" ] || [ ! -w "$TMPDIR" ] || [ ! -x "$TMPDIR" ]; then
	    unset TMPDIR
	fi
    fi
    GPGHOMEDIR="$(mktemp --directory --tmpdir 'apt-key-gpghome.XXXXXXXXXX')"
    CURRENTTRAP="${CURRENTTRAP} cleanup_gpg_home;"
    trap "${CURRENTTRAP}" 0 HUP INT QUIT ILL ABRT FPE SEGV PIPE TERM
    if [ -z "$GPGHOMEDIR" ]; then
	apt_error "Could not create temporary gpg home directory in $TMPDIR (wrong permissions?)"
	exit 28
    fi
    chmod 700 "$GPGHOMEDIR"
}

requires_root() {
	if [ "$(id -u)" -ne 0 ]; then
		apt_error "This command can only be used by root."
		exit 1
	fi
}

command_available() {
    if [ -x "$1" ]; then return 0; fi
    # command -v "$1" >/dev/null 2>&1 # not required by policy, see #747320
    # which "$1" >/dev/null 2>&1 # is in debianutils (essential) but not on non-debian systems
    local OLDIFS="$IFS"
    IFS=:
    for p in $PATH; do
	if [ -x "${p}/${1}" ]; then
	    IFS="$OLDIFS"
	    return 0
	fi
    done
    IFS="$OLDIFS"
    return 1
}

escape_shell() {
    echo "$@" | sed -e "s#'#'\"'\"'#g"
}

get_fingerprints_of_keyring() {
    aptkey_execute "$GPG_SH" --keyring "$1" --with-colons --fingerprint | while read publine; do
	# search for a public key
	if [ "${publine%%:*}" != 'pub' ]; then continue; fi
	# search for the associated fingerprint (should be the very next line)
	while read fprline; do
	   if [ "${fprline%%:*}" = 'sub' ]; then break; # should never happen
	   elif [ "${fprline%%:*}" != 'fpr' ]; then continue; fi
	   echo "$fprline" | cut -d':' -f 10
	done
	# order in the keyring shouldn't be important
    done | sort
}

add_keys_with_verify_against_master_keyring() {
    ADD_KEYRING="$1"
    MASTER="$2"

    if [ ! -f "$ADD_KEYRING" ]; then
	apt_error "Keyring '$ADD_KEYRING' to be added not found"
	return
    fi
    if [ ! -f "$MASTER" ]; then
	apt_error "Master-Keyring '$MASTER' not found"
	return
    fi

    # when adding new keys, make sure that the archive-master-keyring
    # is honored. so:
    #   all keys that are exported must have a valid signature
    #   from a key in the $distro-master-keyring
    add_keys="$(get_fingerprints_of_keyring "$ADD_KEYRING")"
    all_add_keys="$(aptkey_execute "$GPG_SH" --keyring "$ADD_KEYRING" --with-colons --list-keys | grep ^[ps]ub | cut -d: -f5)"
    master_keys="$(aptkey_execute "$GPG_SH" --keyring "$MASTER" --with-colons --list-keys | grep ^pub | cut -d: -f5)"

    # ensure there are no colisions LP: #857472
    for all_add_key in $all_add_keys; do
	for master_key in $master_keys; do
            if [ "$all_add_key" = "$master_key" ]; then
                echo >&2 "Keyid collision for '$all_add_key' detected, operation aborted"
                return 1
            fi
        done
    done

    for add_key in $add_keys; do
        # export the add keyring one-by-one
	local TMP_KEYRING="${GPGHOMEDIR}/tmp-keyring.gpg"
	aptkey_execute "$GPG_SH" --batch --yes --keyring "$ADD_KEYRING" --output "$TMP_KEYRING" --export "$add_key"
	if ! aptkey_execute "$GPG_SH" --batch --yes --keyring "$TMP_KEYRING" --import "$MASTER" > "${GPGHOMEDIR}/gpgoutput.log" 2>&1; then
	    cat >&2 "${GPGHOMEDIR}/gpgoutput.log"
	    false
	fi
	# check if signed with the master key and only add in this case
	ADDED=0
	for master_key in $master_keys; do
	    if aptkey_execute "$GPG_SH" --keyring "$TMP_KEYRING" --check-sigs --with-colons "$add_key" \
	       | grep '^sig:!:' | cut -d: -f5 | grep -q "$master_key"; then
		aptkey_execute "$GPG_SH" --batch --yes --keyring "$ADD_KEYRING" --export "$add_key" \
		   | aptkey_execute "$GPG" --batch --yes --import
		ADDED=1
	    fi
	done
	if [ $ADDED = 0 ]; then
	    echo >&2 "Key '$add_key' not added. It is not signed with a master key"
	fi
	rm -f "${TMP_KEYRING}"
    done
}

# update the current archive signing keyring from a network URI
# the archive-keyring keys needs to be signed with the master key
# (otherwise it does not make sense from a security POV)
net_update() {
    local APT_DIR='/'
    eval $(apt-config shell APT_DIR Dir)

    # Disabled for now as code is insecure (LP: #1013639 (and 857472, 1013128))
    APT_KEY_NET_UPDATE_ENABLED=""
    eval $(apt-config shell APT_KEY_NET_UPDATE_ENABLED APT::Key::Net-Update-Enabled)
    if [ -z "$APT_KEY_NET_UPDATE_ENABLED" ]; then
        exit 1
    fi

    if [ -z "$ARCHIVE_KEYRING_URI" ]; then
	apt_error 'Your distribution is not supported in net-update as no uri for the archive-keyring is set'
	exit 1
    fi
    # in theory we would need to depend on wget for this, but this feature
    # isn't usable in debian anyway as we have no keyring uri nor a master key
    if ! command_available 'wget'; then
	apt_error 'wget is required for a network-based update, but it is not installed'
	exit 1
    fi
    if [ ! -d "${APT_DIR}/var/lib/apt/keyrings" ]; then
	mkdir -p "${APT_DIR}/var/lib/apt/keyrings"
    fi
    keyring="${APT_DIR}/var/lib/apt/keyrings/$(basename "$ARCHIVE_KEYRING_URI")"
    old_mtime=0
    if [ -e $keyring ]; then
	old_mtime=$(stat -c %Y "$keyring")
    fi
    (cd  "${APT_DIR}/var/lib/apt/keyrings"; wget --timeout=90 -q -N "$ARCHIVE_KEYRING_URI")
    if [ ! -e "$keyring" ]; then
	return
    fi
    new_mtime=$(stat -c %Y "$keyring")
    if [ $new_mtime -ne $old_mtime ]; then
	aptkey_echo "Checking for new archive signing keys now"
	add_keys_with_verify_against_master_keyring "$keyring" "$MASTER_KEYRING"
    fi
}

update() {
    if [ -z "$APT_KEY_DONT_WARN_ON_DANGEROUS_USAGE" ]; then
	echo >&2 "Warning: 'apt-key update' is deprecated and should not be used anymore!"
	if [ -z "$ARCHIVE_KEYRING" ]; then
	    echo >&2 "Note: In your distribution this command is a no-op and can therefore be removed safely."
	    exit 0
	fi
    fi
    if [ ! -f "$ARCHIVE_KEYRING" ]; then
	apt_error "Can't find the archive-keyring (Is the debian-archive-keyring package installed?)"
	exit 1
    fi

    # add new keys from the package;

    # we do not use add_keys_with_verify_against_master_keyring here,
    # because "update" is run on regular package updates.  A
    # attacker might as well replace the master-archive-keyring file
    # in the package and add his own keys. so this check wouldn't
    # add any security. we *need* this check on net-update though
    import_keyring_into_keyring "$ARCHIVE_KEYRING" '' && cat "${GPGHOMEDIR}/gpgoutput.log"

    if [ -r "$REMOVED_KEYS" ]; then
	# remove no-longer supported/used keys
	get_fingerprints_of_keyring "$(dearmor_filename "$REMOVED_KEYS")" | while read key; do
	    foreach_keyring_do 'remove_key_from_keyring' "$key"
	done
    else
	apt_warn "Removed keys keyring '$REMOVED_KEYS' missing or not readable"
    fi
}

remove_key_from_keyring() {
    local KEYRINGFILE="$1"
    shift
    # non-existent keyrings have by definition no keys
    if [ ! -e "$KEYRINGFILE" ]; then
       return
    fi

    local FINGERPRINTS="${GPGHOMEDIR}/keyringfile.keylst"
    local DEARMOR="$(dearmor_filename "$KEYRINGFILE")"
    get_fingerprints_of_keyring "$DEARMOR" > "$FINGERPRINTS"

    for KEY in "$@"; do
	# strip leading 0x, if present:
	KEY="$(echo "${KEY#0x}" | tr -d ' ')"

	# check if the key is in this keyring
	if ! grep -iq "^[0-9A-F]*${KEY}$" "$FINGERPRINTS"; then
	    continue
	fi
	if [ ! -w "$KEYRINGFILE" ]; then
	    apt_warn "Key ${KEY} is in keyring ${KEYRINGFILE}, but can't be removed as it is read only."
	    continue
	fi
	# check if it is the only key in the keyring and if so remove the keyring altogether
	if [ '1' = "$(uniq "$FINGERPRINTS" | wc -l)" ]; then
	    mv -f "$KEYRINGFILE" "${KEYRINGFILE}~" # behave like gpg
	    return
	fi
	# we can't just modify pointed to files as these might be in /usr or something
	local REALTARGET
	if [ -L "$DEARMOR" ]; then
	    REALTARGET="$(readlink -f "$DEARMOR")"
	    mv -f "$DEARMOR" "${DEARMOR}.dpkg-tmp"
	    cp -a "$REALTARGET" "$DEARMOR"
	fi
	# delete the key from the keyring
	aptkey_execute "$GPG_SH" --keyring "$DEARMOR" --batch --delete-keys --yes "$KEY"
	if [ -n "$REALTARGET" ]; then
	    # the real backup is the old link, not the copy we made
	    mv -f "${DEARMOR}.dpkg-tmp" "${DEARMOR}~"
	fi
	if [ "$DEARMOR" != "$KEYRINGFILE" ]; then
	    mv -f "$KEYRINGFILE" "${KEYRINGFILE}~"
	    create_new_keyring "$KEYRINGFILE"
	    aptkey_execute "$GPG_SH" --keyring "$DEARMOR" --armor --export > "$KEYRINGFILE"
	fi
	get_fingerprints_of_keyring "$DEARMOR" > "$FINGERPRINTS"
    done
}

accessible_file_exists() {
   if ! test -s "$1"; then
      return 1
   fi
   if test -r "$1"; then
      return 0
   fi
   apt_warn "The key(s) in the keyring $1 are ignored as the file is not readable by user '$USER' executing apt-key."
   return 1
}

is_supported_keyring() {
    # empty files are always supported
    if ! test -s "$1"; then
	return 0
    fi
    local FILEEXT="${1##*.}"
    if [ "$FILEEXT" = 'gpg' ]; then
	# 0x98, 0x99 and 0xC6 via octal as hex isn't supported by dashs printf
	if printf '\231' | cmp --silent --bytes=1 - "$1"; then
	    true
	elif printf '\230' | cmp --silent --bytes=1 - "$1"; then
	    true
	elif printf '\306' | cmp --silent --bytes=1 - "$1"; then
	    true
	else
	    apt_warn "The key(s) in the keyring $1 are ignored as the file has an unsupported filetype."
	    return 1
	fi
    elif [ "$FILEEXT" = 'asc' ]; then
	true #dearmor_filename will deal with them
    else
	# most callers ignore unsupported extensions silently
	apt_warn "The key(s) in the keyring $1 are ignored as the file has an unsupported filename extension."
	return 1
    fi
    return 0
}

foreach_keyring_do() {
   local ACTION="$1"
   shift
   # if a --keyring was given, just work on this one
   if [ -n "$FORCED_KEYRING" ]; then
	$ACTION "$FORCED_KEYRING" "$@"
   else
	# otherwise all known keyrings are up for inspection
	if accessible_file_exists "$TRUSTEDFILE" && is_supported_keyring "$TRUSTEDFILE"; then
	    $ACTION "$TRUSTEDFILE" "$@"
	fi
	local TRUSTEDPARTS="/etc/apt/trusted.gpg.d"
	eval "$(apt-config shell TRUSTEDPARTS Dir::Etc::TrustedParts/d)"
	if [ -d "$TRUSTEDPARTS" ]; then
	    TRUSTEDPARTS="$(readlink -f "$TRUSTEDPARTS")"
	    local TRUSTEDPARTSLIST="$(cd /; find "$TRUSTEDPARTS" -mindepth 1 -maxdepth 1 \( -name '*.gpg' -o -name '*.asc' \))"
	    for trusted in $(echo "$TRUSTEDPARTSLIST" | sort); do
		if accessible_file_exists "$trusted" && is_supported_keyring "$trusted"; then
		    $ACTION "$trusted" "$@"
		fi
	    done
	fi
   fi
}

list_keys_in_keyring() {
    local KEYRINGFILE="$1"
    shift
    # fingerprint and co will fail if key isn't in this keyring
    aptkey_execute "$GPG_SH" --keyring "$(dearmor_filename "$KEYRINGFILE")" "$@" > "${GPGHOMEDIR}/gpgoutput.log" 2> "${GPGHOMEDIR}/gpgoutput.err" || true
    if [ ! -s "${GPGHOMEDIR}/gpgoutput.log" ]; then
	return
    fi
    # we fake gpg header here to refer to the real asc file rather than a temp file
    if [ "${KEYRINGFILE##*.}" = 'asc' ]; then
	if expr match "$(sed -n '2p' "${GPGHOMEDIR}/gpgoutput.log")" '^-\+$' >/dev/null 2>&1; then
	    echo "$KEYRINGFILE"
	    echo "$KEYRINGFILE" | sed 's#[^-]#-#g'
	    sed '1,2d' "${GPGHOMEDIR}/gpgoutput.log" || true
	else
	    cat "${GPGHOMEDIR}/gpgoutput.log"
	fi
    else
	cat "${GPGHOMEDIR}/gpgoutput.log"
    fi
    if [ -s "${GPGHOMEDIR}/gpgoutput.err" ]; then
	cat >&2 "${GPGHOMEDIR}/gpgoutput.err"
    fi
}

export_key_from_to() {
    local FROM="$1"
    local TO="$2"
    shift 2
    if ! aptkey_execute "$GPG_SH" --keyring "$(dearmor_filename "$FROM")" --export "$@" > "$TO" 2> "${GPGHOMEDIR}/gpgoutput.log"; then
	cat >&2 "${GPGHOMEDIR}/gpgoutput.log"
	false
    else
	chmod 0644 -- "$TO"
    fi
}

import_keyring_into_keyring() {
    local FROM="${1:-${GPGHOMEDIR}/pubring.gpg}"
    local TO="${2:-${GPGHOMEDIR}/pubring.gpg}"
    shift 2
    rm -f "${GPGHOMEDIR}/gpgoutput.log"
    # the idea is simple: We take keys from one keyring and copy it to another
    # we do this with so many checks in between to ensure that WE control the
    # creation, so we know that the (potentially) created $TO keyring is a
    # simple keyring rather than a keybox as gpg2 would create it which in turn
    # can't be read by gpgv.
    # BEWARE: This is designed more in the way to work with the current
    # callers, than to have a well defined it would be easy to add new callers to.
    if [ ! -s "$TO" ]; then
	if [ -s "$FROM" ]; then
	    if [ -z "$2" ]; then
		local OPTS
		if [ "${TO##*.}" = 'asc' ]; then
		    OPTS='--armor'
		fi
		export_key_from_to "$(dearmor_filename "$FROM")" "$TO" $OPTS ${1:+"$1"}
	    else
		create_new_keyring "$TO"
	    fi
	else
	    create_new_keyring "$TO"
	fi
    elif [ -s "$FROM" ]; then
	local EXPORTLIMIT="$1"
	if [ -n "$1$2" ]; then shift; fi
	local DEARMORTO="$(dearmor_filename "$TO")"
	if ! aptkey_execute "$GPG_SH" --keyring "$(dearmor_filename "$FROM")" --export ${EXPORTLIMIT:+"$EXPORTLIMIT"} \
	   | aptkey_execute "$GPG_SH" --keyring "$DEARMORTO" --batch --import "$@" > "${GPGHOMEDIR}/gpgoutput.log" 2>&1; then
	    cat >&2 "${GPGHOMEDIR}/gpgoutput.log"
	    false
	fi
	if [ "$DEARMORTO" != "$TO" ]; then
	    export_key_from_to "$DEARMORTO" "${DEARMORTO}.asc" --armor
	    if ! cmp -s "$TO" "${DEARMORTO}.asc" 2>/dev/null; then
		cp -a "$TO" "${TO}~"
		mv -f "${DEARMORTO}.asc" "$TO"
	    fi
	fi
    fi
}

dearmor_keyring() {
    # https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=831409#67
    # The awk script is more complex through to skip surrounding garbage and
    # to support multiple keys in one file (old gpgs generate version headers
    # which get printed with the original and hence result in garbage input for base64
    awk '/^-----BEGIN/{ x = 1; }
/^$/{ if (x == 1) { x = 2; }; }
/^[^=-]/{ if (x == 2) { print $0; }; }
/^-----END/{ x = 0; }' | base64 -d
}
dearmor_filename() {
    if [ "${1##*.}" = 'asc' ]; then
	local trusted="${GPGHOMEDIR}/${1##*/}.gpg"
	if [ -s "$1" ]; then
	    dearmor_keyring < "$1" > "$trusted"
	fi
	echo "$trusted"
    elif [ "${1##*.}" = 'gpg' ]; then
	echo "$1"
    elif [ "$(head -n 1 "$1" 2>/dev/null)" = '-----BEGIN PGP PUBLIC KEY BLOCK-----' ]; then
	local trusted="${GPGHOMEDIR}/${1##*/}.gpg"
	dearmor_keyring < "$1" > "$trusted"
	echo "$trusted"
    else
	echo "$1"
    fi
}
catfile() {
    cat "$(dearmor_filename "$1")" >> "$2"
}

merge_all_trusted_keyrings_into_pubring() {
    # does the same as:
    # foreach_keyring_do 'import_keys_from_keyring' "${GPGHOMEDIR}/pubring.gpg"
    # but without using gpg, just cat and find
    local PUBRING="$(readlink -f "${GPGHOMEDIR}")/pubring.gpg"
    rm -f "$PUBRING"
    touch "$PUBRING"
    foreach_keyring_do 'catfile' "$PUBRING"
}

import_keys_from_keyring() {
    import_keyring_into_keyring "$1" "$2"
}

merge_keys_into_keyrings() {
    import_keyring_into_keyring "$2" "$1" '' --import-options 'merge-only'
}

merge_back_changes() {
    if [ -n "$FORCED_KEYRING" ]; then
	# if the keyring was forced merge is already done
	if [ "$FORCED_KEYRING" != "$TRUSTEDFILE" ]; then
	    mv -f "$FORCED_KEYRING" "${FORCED_KEYRING}~"
	    export_key_from_to "$TRUSTEDFILE" "$FORCED_KEYRING" --armor
	fi
	return
    fi
    if [ -s "${GPGHOMEDIR}/pubring.gpg" ]; then
	# merge all updated keys
	foreach_keyring_do 'merge_keys_into_keyrings' "${GPGHOMEDIR}/pubring.gpg"
    fi
    # look for keys which were added or removed
    get_fingerprints_of_keyring "${GPGHOMEDIR}/pubring.orig.gpg" > "${GPGHOMEDIR}/pubring.orig.keylst"
    get_fingerprints_of_keyring "${GPGHOMEDIR}/pubring.gpg" > "${GPGHOMEDIR}/pubring.keylst"
    comm -3 "${GPGHOMEDIR}/pubring.keylst" "${GPGHOMEDIR}/pubring.orig.keylst" > "${GPGHOMEDIR}/pubring.diff"
    # key isn't part of new keyring, so remove
    cut -f 2 "${GPGHOMEDIR}/pubring.diff" | while read key; do
	if [ -z "$key" ]; then continue; fi
	foreach_keyring_do 'remove_key_from_keyring' "$key"
    done
    # key is only part of new keyring, so we need to import it
    cut -f 1 "${GPGHOMEDIR}/pubring.diff" | while read key; do
	if [ -z "$key" ]; then continue; fi
	import_keyring_into_keyring '' "$TRUSTEDFILE" "$key"
    done
}

setup_merged_keyring() {
    if [ -n "$FORCED_KEYID" ]; then
	merge_all_trusted_keyrings_into_pubring
	FORCED_KEYRING="${GPGHOMEDIR}/forcedkeyid.gpg"
	TRUSTEDFILE="${FORCED_KEYRING}"
	echo "#!/bin/sh
exec sh '($(escape_shell "${GPG}")' --keyring '$(escape_shell "${TRUSTEDFILE}")' \"\$@\"" > "${GPGHOMEDIR}/gpg.1.sh"
	GPG="${GPGHOMEDIR}/gpg.1.sh"
	# ignore error as this "just" means we haven't found the forced keyid and the keyring will be empty
	import_keyring_into_keyring '' "$TRUSTEDFILE" "$FORCED_KEYID" || true
    elif [ -z "$FORCED_KEYRING" ]; then
	merge_all_trusted_keyrings_into_pubring
	if [ -r "${GPGHOMEDIR}/pubring.gpg" ]; then
	    cp -a "${GPGHOMEDIR}/pubring.gpg" "${GPGHOMEDIR}/pubring.orig.gpg"
	else
	   touch "${GPGHOMEDIR}/pubring.gpg" "${GPGHOMEDIR}/pubring.orig.gpg"
	fi
	echo "#!/bin/sh
exec sh '$(escape_shell "${GPG}")' --keyring '$(escape_shell "${GPGHOMEDIR}/pubring.gpg")' \"\$@\"" > "${GPGHOMEDIR}/gpg.1.sh"
	GPG="${GPGHOMEDIR}/gpg.1.sh"
    else
	TRUSTEDFILE="$(dearmor_filename "$FORCED_KEYRING")"
	create_new_keyring "$TRUSTEDFILE"
	echo "#!/bin/sh
exec sh '$(escape_shell "${GPG}")' --keyring '$(escape_shell "${TRUSTEDFILE}")' \"\$@\"" > "${GPGHOMEDIR}/gpg.1.sh"
	GPG="${GPGHOMEDIR}/gpg.1.sh"
    fi
}

create_new_keyring() {
    # gpg defaults to mode 0600 for new keyrings. Create one with 0644 instead.
    if ! [ -e "$1" ]; then
	if [ -w "$(dirname "$1")" ]; then
	    touch -- "$1"
	    chmod 0644 -- "$1"
	fi
    fi
}

aptkey_execute() { sh "$@"; }

usage() {
    echo "Usage: apt-key [--keyring file] [command] [arguments]"
    echo
    echo "Manage apt's list of trusted keys"
    echo
    echo "  apt-key add <file>          - add the key contained in <file> ('-' for stdin)"
    echo "  apt-key del <keyid>         - remove the key <keyid>"
    echo "  apt-key export <keyid>      - output the key <keyid>"
    echo "  apt-key exportall           - output all trusted keys"
    echo "  apt-key update              - update keys using the keyring package"
    echo "  apt-key net-update          - update keys using the network"
    echo "  apt-key list                - list keys"
    echo "  apt-key finger              - list fingerprints"
    echo "  apt-key adv                 - pass advanced options to gpg (download key)"
    echo
    echo "If no specific keyring file is given the command applies to all keyring files."
}

while [ -n "$1" ]; do
   case "$1" in
      --keyring)
	 shift
	 if [ -z "$FORCED_KEYRING" -o "$FORCED_KEYRING" = '/dev/null' ]; then
	     TRUSTEDFILE="$1"
	     FORCED_KEYRING="$1"
	 elif [ "$TRUSTEDFILE" = "$FORCED_KEYRING" ]; then
	     create_gpg_home
	     FORCED_KEYRING="${GPGHOMEDIR}/mergedkeyrings.gpg"
	     echo -n '' > "$FORCED_KEYRING"
	     chmod 0644 -- "$FORCED_KEYRING"
	     catfile "$TRUSTEDFILE" "$FORCED_KEYRING"
	     catfile "$1" "$FORCED_KEYRING"
	 else
	     catfile "$1" "$FORCED_KEYRING"
	 fi
	 ;;
      --keyid)
	 shift
	 if [ -n "$FORCED_KEYID" ]; then
	     apt_error 'Specifying --keyid multiple times is not supported'
	     exit 1
	 fi
	 FORCED_KEYID="$1"
	 ;;
      --secret-keyring)
	 shift
	 FORCED_SECRET_KEYRING="$1"
	 ;;
      --readonly)
	 merge_back_changes() { true; }
	 create_new_keyring() { if [ ! -r "$FORCED_KEYRING" ]; then TRUSTEDFILE='/dev/null'; FORCED_KEYRING="$TRUSTEDFILE"; fi; }
	 ;;
      --fakeroot)
	 requires_root() { true; }
	 ;;
      --quiet)
	 aptkey_echo() { true; }
	 ;;
      --debug1)
	 # some cmds like finger redirect stderr to /dev/null …
	aptkey_execute() { echo 'EXEC:' "$@"; sh "$@"; }
	;;
      --debug2)
	 # … other more complicated ones pipe gpg into gpg.
	aptkey_execute() { echo >&2 'EXEC:' "$@"; sh "$@"; }
	;;
      --homedir)
	 # force usage of a specific homedir instead of creating a temporary
	 shift
	 GPGHOMEDIR="$1"
	;;
      --*)
	 echo >&2 "Unknown option: $1"
	 usage
	 exit 1;;
      *)
	 break;;
   esac
   shift
done

if [ -z "$TRUSTEDFILE" ]; then
   TRUSTEDFILE="/etc/apt/trusted.gpg"
   eval $(apt-config shell TRUSTEDFILE Apt::GPGV::TrustedKeyring)
   eval $(apt-config shell TRUSTEDFILE Dir::Etc::Trusted/f)
fi

command="$1"
if [ -z "$command" ]; then
    usage
    exit 1
fi
shift

prepare_gpg_home() {
    # crude detection if we are called from a maintainerscript where the
    # package depends on gnupg or not. We accept recommends here as
    # well as the script hopefully uses apt-key optionally then like e.g.
    # debian-archive-keyring for (upgrade) cleanup did
    if [ -n "$DPKG_MAINTSCRIPT_PACKAGE" ] && [ -z "$APT_KEY_DONT_WARN_ON_DANGEROUS_USAGE" ]; then
	if ! dpkg-query --show --showformat '${Pre-Depends}${Depends}${Recommends}\n' "$DPKG_MAINTSCRIPT_PACKAGE" 2>/dev/null | grep -q gnupg; then
	    cat >&2 <<EOF
Warning: The $DPKG_MAINTSCRIPT_NAME maintainerscript of the package $DPKG_MAINTSCRIPT_PACKAGE
Warning: seems to use apt-key (provided by apt) without depending on gnupg or gnupg2.
Warning: This will BREAK in the future and should be fixed by the package maintainer(s).
Note: Check first if apt-key functionality is needed at all - it probably isn't!
EOF
	fi
    fi
    eval "$(apt-config shell GPG_EXE Apt::Key::gpgcommand)"
    if [ -n "$GPG_EXE" ] && command_available "$GPG_EXE"; then
	true
    elif command_available 'gpg'; then
	GPG_EXE="gpg"
    elif command_available 'gpg2'; then
	GPG_EXE="gpg2"
    elif command_available 'gpg1'; then
	GPG_EXE="gpg1"
    else
	apt_error 'gnupg, gnupg2 and gnupg1 do not seem to be installed, but one of them is required for this operation'
	exit 255
    fi

    create_gpg_home

    # now tell gpg that it shouldn't try to maintain this trustdb file
    echo "#!/bin/sh
exec '$(escape_shell "${GPG_EXE}")' --ignore-time-conflict --no-options --no-default-keyring \\
--homedir '$(escape_shell "${GPGHOMEDIR}")' --no-auto-check-trustdb --trust-model always \"\$@\"" > "${GPGHOMEDIR}/gpg.0.sh"
    GPG_SH="${GPGHOMEDIR}/gpg.0.sh"
    GPG="$GPG_SH"

    # create the trustdb with an (empty) dummy keyring
    # older gpgs required it, newer gpgs even warn that it isn't needed,
    # but require it nonetheless for some commands, so we just play safe
    # here for the foreseeable future and create a dummy one
    touch "${GPGHOMEDIR}/empty.gpg"
    if ! "$GPG_EXE" --ignore-time-conflict --no-options --no-default-keyring \
       --homedir "$GPGHOMEDIR" --quiet --check-trustdb --keyring "${GPGHOMEDIR}/empty.gpg" >"${GPGHOMEDIR}/gpgoutput.log" 2>&1; then
       cat >&2 "${GPGHOMEDIR}/gpgoutput.log"
       false
    fi

    # We don't usually need a secret keyring, of course, but
    # for advanced operations, we might really need a secret keyring after all
    if [ -n "$FORCED_SECRET_KEYRING" ] && [ -r "$FORCED_SECRET_KEYRING" ]; then
	if ! aptkey_execute "$GPG" -v --batch --import "$FORCED_SECRET_KEYRING" >"${GPGHOMEDIR}/gpgoutput.log" 2>&1; then
	    # already imported keys cause gpg1 to fail for some reason… ignore this error
	    if ! grep -q 'already in secret keyring' "${GPGHOMEDIR}/gpgoutput.log"; then
		cat >&2 "${GPGHOMEDIR}/gpgoutput.log"
		false
	    fi
	fi
    else
       # and then, there are older versions of gpg which panic and implode
       # if there isn't one available - and writeable for imports
       # and even if not output is littered with the creation of a secring,
       # so lets call import once to have it create what it wants in silence
       echo -n | aptkey_execute "$GPG" --batch --import >/dev/null 2>&1 || true
    fi
}

warn_on_script_usage() {
    if [ -n "$APT_KEY_DONT_WARN_ON_DANGEROUS_USAGE" ]; then
	return
    fi
    # (Maintainer) scripts should not be using apt-key
    if [ -n "$DPKG_MAINTSCRIPT_PACKAGE" ]; then
	echo >&2 "Warning: apt-key should not be used in scripts (called from $DPKG_MAINTSCRIPT_NAME maintainerscript of the package ${DPKG_MAINTSCRIPT_PACKAGE})"
    elif [ ! -t 1 ]; then
	echo >&2 "Warning: apt-key output should not be parsed (stdout is not a terminal)"
    fi
}

if [ "$command" != 'help' ] && [ "$command" != 'verify' ]; then
    prepare_gpg_home
fi

case "$command" in
    add)
	warn_on_script_usage
	requires_root
	setup_merged_keyring
	aptkey_execute "$GPG" --quiet --batch --import "$@"
	merge_back_changes
	aptkey_echo "OK"
        ;;
    del|rm|remove)
	# no script warning here as removing 'add' usage needs 'del' for cleanup
	requires_root
	foreach_keyring_do 'remove_key_from_keyring' "$@"
	aptkey_echo "OK"
        ;;
    update)
	warn_on_script_usage
	requires_root
	setup_merged_keyring
	update
	merge_back_changes
	;;
    net-update)
	requires_root
	setup_merged_keyring
	net_update
	merge_back_changes
	;;
    list|finger*)
	warn_on_script_usage
	foreach_keyring_do 'list_keys_in_keyring' --fingerprint "$@"
	;;
    export|exportall)
	warn_on_script_usage
	merge_all_trusted_keyrings_into_pubring
	aptkey_execute "$GPG_SH" --keyring "${GPGHOMEDIR}/pubring.gpg" --armor --export "$@"
	;;
    adv*)
	warn_on_script_usage
	setup_merged_keyring
	aptkey_echo "Executing: $GPG" "$@"
	aptkey_execute "$GPG" "$@"
	merge_back_changes
	;;
    verify)
	GPGV=''
	eval $(apt-config shell GPGV Apt::Key::gpgvcommand)
	if [ -n "$GPGV" ] && command_available "$GPGV"; then true;
	elif command_available 'gpgv'; then GPGV='gpgv';
	elif command_available 'gpgv2'; then GPGV='gpgv2';
	elif command_available 'gpgv1'; then GPGV='gpgv1';
	else
	   apt_error 'gpgv, gpgv2 or gpgv1 required for verification, but neither seems installed'
	   exit 29
	fi
	# for a forced keyid we need gpg --export, so full wrapping required
	if [ -n "$FORCED_KEYID" ]; then
	    prepare_gpg_home
	else
	    create_gpg_home
	fi
	setup_merged_keyring
	if [ -n "$FORCED_KEYRING" ]; then
	    "$GPGV" --homedir "${GPGHOMEDIR}" --keyring "$(dearmor_filename "${FORCED_KEYRING}")" --ignore-time-conflict "$@"
	else
	    "$GPGV" --homedir "${GPGHOMEDIR}" --keyring "${GPGHOMEDIR}/pubring.gpg" --ignore-time-conflict "$@"
	fi
	;;
    help)
        usage
        ;;
    *)
        usage
        exit 1
        ;;
esac
N4m3
5!z3
L45t M0d!f!3d
0wn3r / Gr0up
P3Rm!55!0n5
0pt!0n5
..
--
July 01 2024 06:14:58
root / root
0755
X11
--
July 01 2024 06:14:58
root / root
0755
2to3-2.7
0.094 KB
March 23 2024 18:55:36
root / root
0755
[
58.656 KB
February 28 2019 15:30:31
root / root
0755
aa-enabled
30.211 KB
March 30 2019 13:23:11
root / root
0755
aa-exec
30.211 KB
March 30 2019 13:23:11
root / root
0755
add-apt-repository
6.207 KB
March 30 2019 19:45:34
root / root
0755
addpart
26.078 KB
April 06 2024 22:33:55
root / root
0755
addr2line
31.094 KB
March 21 2019 14:49:23
root / root
0755
apropos
54.977 KB
February 01 2024 13:35:20
root / root
0755
apt
18.086 KB
April 19 2021 16:41:13
root / root
0755
apt-add-repository
6.207 KB
March 30 2019 19:45:34
root / root
0755
apt-cache
82.156 KB
April 19 2021 16:41:13
root / root
0755
apt-cdrom
26.156 KB
April 19 2021 16:41:13
root / root
0755
apt-config
26.086 KB
April 19 2021 16:41:13
root / root
0755
apt-extracttemplates
22.156 KB
April 19 2021 16:41:13
root / root
0755
apt-ftparchive
238.156 KB
April 19 2021 16:41:13
root / root
0755
apt-get
46.156 KB
April 19 2021 16:41:13
root / root
0755
apt-key
27.08 KB
April 19 2021 16:41:13
root / root
0755
apt-listchanges
10.613 KB
March 17 2019 22:48:06
root / root
0755
apt-mark
54.156 KB
April 19 2021 16:41:13
root / root
0755
apt-sortpkgs
46.086 KB
April 19 2021 16:41:13
root / root
0755
ar
63.07 KB
March 21 2019 14:49:23
root / root
0755
arch
38.656 KB
February 28 2019 15:30:31
root / root
0755
as
872.93 KB
March 21 2019 14:49:23
root / root
0755
at
54.258 KB
July 24 2018 09:17:21
daemon / daemon
6755
atq
54.258 KB
July 24 2018 09:17:21
daemon / daemon
6755
atrm
54.258 KB
July 24 2018 09:17:21
daemon / daemon
6755
autoconf
14.422 KB
August 20 2017 18:17:16
root / root
0755
autoheader
8.336 KB
August 20 2017 18:17:16
root / root
0755
autom4te
31.905 KB
August 20 2017 18:17:16
root / root
0755
autoreconf
20.667 KB
August 20 2017 18:17:16
root / root
0755
autoscan
16.73 KB
August 20 2017 18:17:16
root / root
0755
autoupdate
33.08 KB
August 20 2017 18:17:16
root / root
0755
awk
119.117 KB
March 23 2012 20:15:00
root / root
0755
aws
0.796 KB
February 27 2019 07:44:49
root / root
0755
aws_completer
1.109 KB
February 27 2019 07:44:49
root / root
0755
b2sum
58.781 KB
February 28 2019 15:30:31
root / root
0755
base32
42.688 KB
February 28 2019 15:30:31
root / root
0755
base64
42.688 KB
February 28 2019 15:30:31
root / root
0755
basename
38.594 KB
February 28 2019 15:30:31
root / root
0755
bash
1.11 MB
April 18 2019 04:12:36
root / root
0755
bashbug
6.634 KB
April 18 2019 04:12:36
root / root
0755
batch
0.148 KB
July 24 2018 09:17:21
root / root
0755
bootctl
46.234 KB
June 29 2023 13:57:02
root / root
0755
bsd-from
10.242 KB
May 04 2018 12:24:31
root / root
0755
bsd-write
14.391 KB
May 04 2018 12:24:31
root / tty
2755
bunzip2
38.07 KB
July 21 2020 08:36:47
root / root
0755
busctl
78.188 KB
June 29 2023 13:57:02
root / root
0755
bzcat
38.07 KB
July 21 2020 08:36:47
root / root
0755
bzcmp
2.173 KB
July 21 2020 08:36:47
root / root
0755
bzdiff
2.173 KB
July 21 2020 08:36:47
root / root
0755
bzegrep
3.556 KB
July 21 2020 08:36:47
root / root
0755
bzexe
4.763 KB
June 24 2019 20:16:40
root / root
0755
bzfgrep
3.556 KB
July 21 2020 08:36:47
root / root
0755
bzgrep
3.556 KB
July 21 2020 08:36:47
root / root
0755
bzip2
38.07 KB
July 21 2020 08:36:47
root / root
0755
bzip2recover
13.992 KB
July 21 2020 08:36:47
root / root
0755
bzless
1.267 KB
July 21 2020 08:36:47
root / root
0755
bzmore
1.267 KB
July 21 2020 08:36:47
root / root
0755
c++
1.05 MB
April 06 2019 14:44:55
root / root
0755
c++filt
30.688 KB
March 21 2019 14:49:23
root / root
0755
c89
0.418 KB
June 12 2013 21:03:20
root / root
0755
c89-gcc
0.418 KB
June 12 2013 21:03:20
root / root
0755
c99
0.443 KB
June 12 2013 21:03:20
root / root
0755
c99-gcc
0.443 KB
June 12 2013 21:03:20
root / root
0755
c_rehash
6.13 KB
August 15 2023 19:14:44
root / root
0755
cal
29.148 KB
May 04 2018 12:24:31
root / root
0755
calendar
31.148 KB
May 04 2018 12:24:31
root / root
0755
captoinfo
86.109 KB
December 03 2023 15:31:37
root / root
0755
cat
42.719 KB
February 28 2019 15:30:31
root / root
0755
catchsegv
3.226 KB
June 29 2024 10:27:34
root / root
0755
catman
38.461 KB
February 01 2024 13:35:20
root / root
0755
cc
1.05 MB
April 06 2019 14:44:55
root / root
0755
certbot
0.376 KB
December 05 2020 02:33:11
root / root
0755
chacl
13.992 KB
March 01 2019 22:22:21
root / root
0755
chage
70.133 KB
July 27 2018 08:07:37
root / shadow
2755
chardet
0.38 KB
January 22 2019 00:46:22
root / root
0755
chardet3
0.38 KB
January 22 2019 00:46:22
root / root
0755
chardetect
0.38 KB
January 22 2019 00:46:22
root / root
0755
chardetect3
0.38 KB
January 22 2019 00:46:22
root / root
0755
chattr
14 KB
January 10 2020 01:19:57
root / root
0755
chcon
62.906 KB
February 28 2019 15:30:31
root / root
0755
chfn
52.828 KB
July 27 2018 08:07:37
root / root
4755
chgrp
62.813 KB
February 28 2019 15:30:31
root / root
0755
chmod
62.781 KB
February 28 2019 15:30:31
root / root
0755
choom
50.078 KB
April 06 2024 22:33:55
root / root
0755
chown
70.813 KB
February 28 2019 15:30:31
root / root
0755
chronyc
83.016 KB
March 15 2022 12:45:14
root / root
0755
chrt
34.078 KB
April 06 2024 22:33:55
root / root
0755
chsh
43.484 KB
July 27 2018 08:07:37
root / root
4755
cksum
38.625 KB
February 28 2019 15:30:31
root / root
0755
clear
14 KB
December 03 2023 15:31:37
root / root
0755
clear_console
14.305 KB
April 18 2019 04:12:36
root / root
0755
cloud-id
0.381 KB
March 19 2021 16:43:23
root / root
0755
cloud-init
0.385 KB
March 19 2021 16:43:23
root / root
0755
cloud-init-per
2.059 KB
April 29 2020 22:17:14
root / root
0755
cloud-localds
7.232 KB
July 21 2016 18:23:53
root / root
0755
cmp
50.641 KB
April 08 2019 12:04:00
root / root
0755
col
10.227 KB
May 04 2018 12:24:31
root / root
0755
colcrt
10.195 KB
May 04 2018 12:24:31
root / root
0755
colrm
10.188 KB
May 04 2018 12:24:31
root / root
0755
column
10.336 KB
May 04 2018 12:24:31
root / root
0755
comm
42.688 KB
February 28 2019 15:30:31
root / root
0755
compose
17.735 KB
February 09 2019 12:32:33
root / root
0755
corelist
14.734 KB
July 21 2020 19:27:00
root / root
0755
cp
143.438 KB
February 28 2019 15:30:31
root / root
0755
cpan
7.965 KB
July 21 2020 19:27:00
root / root
0755
cpan5.28-x86_64-linux-gnu
7.985 KB
July 21 2020 19:27:00
root / root
0755
cpio
154.609 KB
June 04 2023 15:01:54
root / root
0755
cpp
1.05 MB
April 06 2019 14:44:55
root / root
0755
cpp-8
1.05 MB
April 06 2019 14:44:55
root / root
0755
crontab
42.547 KB
October 11 2019 07:58:52
root / crontab
2755
csplit
54.844 KB
February 28 2019 15:30:31
root / root
0755
ctstat
22.742 KB
December 03 2020 18:42:49
root / root
0755
curl
226.07 KB
January 28 2024 21:15:21
root / root
0755
cut
42.75 KB
February 28 2019 15:30:31
root / root
0755
cvtsudoers
250.289 KB
January 21 2024 20:52:36
root / root
0755
dash
118.617 KB
January 17 2019 19:08:32
root / root
0755
date
106.844 KB
February 28 2019 15:30:31
root / root
0755
dbus-cleanup-sockets
13.984 KB
October 23 2023 08:29:25
root / root
0755
dbus-daemon
235.039 KB
October 23 2023 08:29:25
root / root
0755
dbus-monitor
25.992 KB
October 23 2023 08:29:25
root / root
0755
dbus-run-session
13.984 KB
October 23 2023 08:29:25
root / root
0755
dbus-send
29.984 KB
October 23 2023 08:29:25
root / root
0755
dbus-update-activation-environment
13.984 KB
October 23 2023 08:29:25
root / root
0755
dbus-uuidgen
13.984 KB
October 23 2023 08:29:25
root / root
0755
dd
74.914 KB
February 28 2019 15:30:31
root / root
0755
deb-systemd-helper
20.828 KB
November 21 2018 23:15:24
root / root
0755
deb-systemd-invoke
4.326 KB
November 21 2018 23:15:24
root / root
0755
debconf
2.792 KB
October 01 2021 09:39:27
root / root
0755
debconf-apt-progress
11.271 KB
October 01 2021 09:39:27
root / root
0755
debconf-communicate
0.594 KB
October 01 2021 09:39:27
root / root
0755
debconf-copydb
1.679 KB
October 01 2021 09:39:27
root / root
0755
debconf-escape
0.632 KB
October 01 2021 09:39:27
root / root
0755
debconf-set-selections
2.866 KB
October 01 2021 09:39:27
root / root
0755
debconf-show
1.784 KB
October 01 2021 09:39:27
root / root
0755
debianbts
0.403 KB
December 31 2018 14:34:02
root / root
0755
delpart
26.078 KB
April 06 2024 22:33:55
root / root
0755
delv
44.828 KB
May 17 2024 15:43:53
root / root
0755
devdump
167.977 KB
July 21 2014 23:56:34
root / root
0755
df
91.547 KB
February 28 2019 15:30:31
root / root
0755
dh_autotools-dev_restoreconfig
1.793 KB
February 24 2018 16:00:57
root / root
0755
dh_autotools-dev_updateconfig
1.806 KB
February 24 2018 16:00:57
root / root
0755
dh_bash-completion
2.389 KB
February 11 2019 23:36:02
root / root
0755
dh_installxmlcatalogs
9.223 KB
February 27 2019 00:18:49
root / root
0755
dh_python2
1.031 KB
March 04 2019 15:48:56
root / root
0755
diff
215.281 KB
April 08 2019 12:04:00
root / root
0755
diff3
66.844 KB
April 08 2019 12:04:00
root / root
0755
dig
146.508 KB
May 17 2024 15:43:53
root / root
0755
dir
135.602 KB
February 28 2019 15:30:31
root / root
0755
dircolors
46.664 KB
February 28 2019 15:30:31
root / root
0755
dirname
34.594 KB
February 28 2019 15:30:31
root / root
0755
dirsplit
16.741 KB
November 25 2006 23:13:29
root / root
0755
dmesg
82.313 KB
April 06 2024 22:33:55
root / root
0755
dnsdomainname
26.07 KB
September 27 2018 08:45:17
root / root
0755
dnstap-read
18.008 KB
May 17 2024 15:43:53
root / root
0755
domainname
26.07 KB
September 27 2018 08:45:17
root / root
0755
dpkg
298.531 KB
May 24 2022 11:40:09
root / root
0755
dpkg-architecture
12.551 KB
May 24 2022 11:40:09
root / root
0755
dpkg-buildflags
7.388 KB
May 24 2022 11:40:09
root / root
0755
dpkg-buildpackage
29.893 KB
May 24 2022 11:40:09
root / root
0755
dpkg-checkbuilddeps
7.445 KB
May 24 2022 11:40:09
root / root
0755
dpkg-deb
162.383 KB
May 24 2022 11:40:09
root / root
0755
dpkg-distaddfile
2.717 KB
May 24 2022 11:40:09
root / root
0755
dpkg-divert
150.438 KB
May 24 2022 11:40:09
root / root
0755
dpkg-genbuildinfo
16.401 KB
May 24 2022 11:40:09
root / root
0755
dpkg-genchanges
17.082 KB
May 24 2022 11:40:09
root / root
0755
dpkg-gencontrol
13.823 KB
May 24 2022 11:40:09
root / root
0755
dpkg-gensymbols
10.646 KB
May 24 2022 11:40:09
root / root
0755
dpkg-maintscript-helper
20.033 KB
May 24 2022 11:40:09
root / root
0755
dpkg-mergechangelogs
8.347 KB
May 24 2022 11:40:09
root / root
0755
dpkg-name
6.63 KB
May 24 2022 11:40:09
root / root
0755
dpkg-parsechangelog
4.46 KB
May 24 2022 11:40:09
root / root
0755
dpkg-query
158.43 KB
May 24 2022 11:40:09
root / root
0755
dpkg-scanpackages
8.494 KB
May 24 2022 11:40:09
root / root
0755
dpkg-scansources
8.952 KB
May 24 2022 11:40:09
root / root
0755
dpkg-shlibdeps
30.68 KB
May 24 2022 11:40:09
root / root
0755
dpkg-source
22.482 KB
May 24 2022 11:40:09
root / root
0755
dpkg-split
122.336 KB
May 24 2022 11:40:09
root / root
0755
dpkg-statoverride
62.117 KB
May 24 2022 11:40:09
root / root
0755
dpkg-trigger
78.336 KB
May 24 2022 11:40:09
root / root
0755
dpkg-vendor
3.186 KB
May 24 2022 11:40:09
root / root
0755
du
107.094 KB
February 28 2019 15:30:31
root / root
0755
dwp
2.74 MB
March 21 2019 14:49:23
root / root
0755
ec2metadata
7.126 KB
July 21 2016 18:23:53
root / root
0755
echo
38.594 KB
February 28 2019 15:30:31
root / root
0755
edit
17.735 KB
February 09 2019 12:32:33
root / root
0755
editor
240.391 KB
June 11 2024 18:30:35
root / root
0755
egrep
0.027 KB
January 07 2019 15:04:36
root / root
0755
elfedit
38.836 KB
March 21 2019 14:49:23
root / root
0755
enc2xs
41.124 KB
July 21 2020 19:27:00
root / root
0755
encguess
2.994 KB
July 21 2020 19:27:00
root / root
0755
env
42.656 KB
February 28 2019 15:30:31
root / root
0755
envsubst
42.641 KB
November 10 2018 17:34:46
root / root
0755
eqn
201.188 KB
March 19 2021 10:36:25
root / root
0755
ex
2.58 MB
September 27 2023 19:47:00
root / root
0755
expand
42.688 KB
February 28 2019 15:30:31
root / root
0755
expiry
30.273 KB
July 27 2018 08:07:37
root / shadow
2755
expr
50.719 KB
February 28 2019 15:30:31
root / root
0755
factor
74.75 KB
February 28 2019 15:30:31
root / root
0755
faillog
22.289 KB
July 27 2018 08:07:37
root / root
0755
fallocate
30.078 KB
April 06 2024 22:33:55
root / root
0755
false
34.594 KB
February 28 2019 15:30:31
root / root
0755
fgrep
0.027 KB
January 07 2019 15:04:36
root / root
0755
filan
83.781 KB
November 19 2017 13:56:10
root / root
0755
file
26.313 KB
January 25 2021 21:40:17
root / root
0755
fincore
30.125 KB
April 06 2024 22:33:55
root / root
0755
find
308.5 KB
February 16 2019 12:14:53
root / root
0755
findmnt
67.266 KB
April 06 2024 22:33:55
root / root
0755
flock
34.156 KB
April 06 2024 22:33:55
root / root
0755
fmt
42.656 KB
February 28 2019 15:30:31
root / root
0755
fold
38.656 KB
February 28 2019 15:30:31
root / root
0755
free
18.078 KB
May 31 2018 09:42:46
root / root
0755
from
10.242 KB
May 04 2018 12:24:31
root / root
0755
funzip
22.258 KB
September 22 2022 16:25:09
root / root
0755
fuser
39.625 KB
August 16 2021 09:17:53
root / root
0755
futurize
0.375 KB
January 30 2019 20:47:52
root / root
0755
g++
1.05 MB
April 06 2019 14:44:55
root / root
0755
g++-8
1.05 MB
April 06 2019 14:44:55
root / root
0755
gapplication
22.07 KB
May 10 2024 14:33:34
root / root
0755
gcc
1.05 MB
April 06 2019 14:44:55
root / root
0755
gcc-8
1.05 MB
April 06 2019 14:44:55
root / root
0755
gcc-ar
34.469 KB
April 06 2019 14:44:55
root / root
0755
gcc-ar-8
34.469 KB
April 06 2019 14:44:55
root / root
0755
gcc-nm
34.469 KB
April 06 2019 14:44:55
root / root
0755
gcc-nm-8
34.469 KB
April 06 2019 14:44:55
root / root
0755
gcc-ranlib
34.469 KB
April 06 2019 14:44:55
root / root
0755
gcc-ranlib-8
34.469 KB
April 06 2019 14:44:55
root / root
0755
gcov
672.086 KB
April 06 2019 14:44:55
root / root
0755
gcov-8
672.086 KB
April 06 2019 14:44:55
root / root
0755
gcov-dump
511.953 KB
April 06 2019 14:44:55
root / root
0755
gcov-dump-8
511.953 KB
April 06 2019 14:44:55
root / root
0755
gcov-tool
548.016 KB
April 06 2019 14:44:55
root / root
0755
gcov-tool-8
548.016 KB
April 06 2019 14:44:55
root / root
0755
gdbus
50.078 KB
May 10 2024 14:33:34
root / root
0755
gencat
26.602 KB
June 29 2024 10:27:34
root / root
0755
genisoimage
619.008 KB
July 21 2014 23:56:34
root / root
0755
geqn
201.188 KB
March 19 2021 10:36:25
root / root
0755
getconf
34.367 KB
June 29 2024 10:27:34
root / root
0755
geteltorito
6.064 KB
July 21 2014 23:56:34
root / root
0755
getent
35.344 KB
June 29 2024 10:27:34
root / root
0755
getfacl
30.617 KB
March 01 2019 22:22:21
root / root
0755
getopt
22.07 KB
April 06 2024 22:33:55
root / root
0755
gettext
42.617 KB
November 10 2018 17:34:46
root / root
0755
gettext.sh
4.521 KB
November 10 2018 17:34:46
root / root
0755
gio
86.086 KB
May 10 2024 14:33:34
root / root
0755
gio-querymodules
13.992 KB
May 10 2024 14:33:34
root / root
0755
glib-compile-schemas
46.07 KB
May 10 2024 14:33:34
root / root
0755
gold
2.97 MB
March 21 2019 14:49:23
root / root
0755
gonit
8.52 MB
May 18 2021 09:22:15
root / root
0755
gpasswd
82.047 KB
July 27 2018 08:07:37
root / root
4755
gpgv
434.992 KB
July 01 2022 16:06:43
root / root
0755
gpic
208.031 KB
March 19 2021 10:36:25
root / root
0755
gprof
96.391 KB
March 21 2019 14:49:23
root / root
0755
grep
194.313 KB
January 07 2019 15:04:36
root / root
0755
gresource
21.992 KB
May 10 2024 14:33:34
root / root
0755
groff
117.219 KB
March 19 2021 10:36:25
root / root
0755
grog
2.711 KB
March 19 2021 10:36:25
root / root
0755
grops
177.625 KB
March 19 2021 10:36:25
root / root
0755
grotty
129.25 KB
March 19 2021 10:36:25
root / root
0755
groups
38.656 KB
February 28 2019 15:30:31
root / root
0755
growpart
20.926 KB
July 21 2016 18:23:53
root / root
0755
grub-editenv
369.961 KB
October 02 2023 14:11:34
root / root
0755
grub-file
801.211 KB
October 02 2023 14:11:34
root / root
0755
grub-fstest
922.898 KB
October 02 2023 14:11:34
root / root
0755
grub-glue-efi
244.773 KB
October 02 2023 14:11:34
root / root
0755
grub-kbdcomp
1.642 KB
October 02 2023 14:11:34
root / root
0755
grub-menulst2cfg
228.852 KB
October 02 2023 14:11:34
root / root
0755
grub-mkfont
269.461 KB
October 02 2023 14:11:34
root / root
0755
grub-mkimage
349.961 KB
October 02 2023 14:11:34
root / root
0755
grub-mklayout
249.086 KB
October 02 2023 14:11:34
root / root
0755
grub-mknetdir
402.758 KB
October 02 2023 14:11:34
root / root
0755
grub-mkpasswd-pbkdf2
249.148 KB
October 02 2023 14:11:34
root / root
0755
grub-mkrelpath
240.492 KB
October 02 2023 14:11:34
root / root
0755
grub-mkrescue
979.633 KB
October 02 2023 14:11:34
root / root
0755
grub-mkstandalone
487.086 KB
October 02 2023 14:11:34
root / root
0755
grub-mount
745.852 KB
October 02 2023 14:11:34
root / root
0755
grub-render-label
817.773 KB
October 02 2023 14:11:34
root / root
0755
grub-script-check
264.617 KB
October 02 2023 14:11:34
root / root
0755
grub-syslinux2cfg
766.289 KB
October 02 2023 14:11:34
root / root
0755
gsettings
30.07 KB
May 10 2024 14:33:34
root / root
0755
gtbl
138.195 KB
March 19 2021 10:36:25
root / root
0755
gunzip
2.29 KB
April 15 2022 18:16:55
root / root
0755
gzexe
6.295 KB
April 15 2022 18:16:55
root / root
0755
gzip
95.75 KB
April 15 2022 18:16:55
root / root
0755
h2ph
28.539 KB
July 21 2020 19:27:00
root / root
0755
h2xs
59.439 KB
July 21 2020 19:27:00
root / root
0755
hd
26.547 KB
May 04 2018 12:24:31
root / root
0755
head
46.719 KB
February 28 2019 15:30:31
root / root
0755
helpztags
2.455 KB
September 27 2023 19:35:23
root / root
0755
hexdump
26.547 KB
May 04 2018 12:24:31
root / root
0755
host
126.633 KB
May 17 2024 15:43:53
root / root
0755
hostid
34.594 KB
February 28 2019 15:30:31
root / root
0755
hostname
26.07 KB
September 27 2018 08:45:17
root / root
0755
hostnamectl
26.07 KB
June 29 2023 13:57:02
root / root
0755
i386
22.344 KB
April 06 2024 22:33:55
root / root
0755
iconv
59.008 KB
June 29 2024 10:27:34
root / root
0755
id
42.781 KB
February 28 2019 15:30:31
root / root
0755
ifnames
4.033 KB
August 20 2017 18:17:16
root / root
0755
infocmp
62.07 KB
December 03 2023 15:31:37
root / root
0755
infotocap
86.109 KB
December 03 2023 15:31:37
root / root
0755
install
151.602 KB
February 28 2019 15:30:31
root / root
0755
instmodsh
4.268 KB
July 21 2020 19:27:00
root / root
0755
ionice
30.078 KB
April 06 2024 22:33:55
root / root
0755
ip
574.727 KB
December 03 2020 18:42:49
root / root
0755
ipcmk
30.141 KB
April 06 2024 22:33:55
root / root
0755
ipcrm
30.078 KB
April 06 2024 22:33:55
root / root
0755
ipcs
66.078 KB
April 06 2024 22:33:55
root / root
0755
iptables-xml
100.68 KB
March 01 2019 12:28:35
root / root
0755
ischroot
14.234 KB
January 21 2019 21:12:11
root / root
0755
isodump
167.977 KB
July 21 2014 23:56:34
root / root
0755
isoinfo
335.227 KB
July 21 2014 23:56:34
root / root
0755
isovfy
167.945 KB
July 21 2014 23:56:34
root / root
0755
join
50.75 KB
February 28 2019 15:30:31
root / root
0755
journalctl
66.086 KB
June 29 2023 13:57:02
root / root
0755
json_pp
4.276 KB
July 21 2020 19:27:00
root / root
0755
jsondiff
0.994 KB
March 03 2018 21:11:27
root / root
0755
jsonpatch
3.575 KB
March 03 2018 21:11:27
root / root
0755
jsonpointer
1.311 KB
April 30 2016 22:01:28
root / root
0755
jsonschema
0.389 KB
September 07 2018 07:03:51
root / root
0755
kernel-install
4.53 KB
February 14 2019 10:11:58
root / root
0755
kill
26.078 KB
May 31 2018 09:42:46
root / root
0755
killall
31.719 KB
August 16 2021 09:17:53
root / root
0755
kmod
162.18 KB
February 09 2019 23:00:31
root / root
0755
last
46.078 KB
April 06 2024 22:33:55
root / root
0755
lastb
46.078 KB
April 06 2024 22:33:55
root / root
0755
lastlog
22.07 KB
July 27 2018 08:07:37
root / root
0755
lcf
7.604 KB
December 14 2018 08:51:14
root / root
0755
ld
1.7 MB
March 21 2019 14:49:23
root / root
0755
ld.bfd
1.7 MB
March 21 2019 14:49:23
root / root
0755
ld.gold
2.97 MB
March 21 2019 14:49:23
root / root
0755
ldd
5.27 KB
June 29 2024 10:27:34
root / root
0755
less
166.758 KB
May 27 2024 17:20:40
root / root
0755
lessecho
14.016 KB
May 27 2024 17:20:40
root / root
0755
lessfile
8.363 KB
May 27 2024 17:20:40
root / root
0755
lesskey
23.391 KB
May 27 2024 17:20:40
root / root
0755
lesspipe
8.363 KB
May 27 2024 17:20:40
root / root
0755
letsencrypt
0.376 KB
December 05 2020 02:33:11
root / root
0755
lexgrog
94.57 KB
February 01 2024 13:35:20
root / root
0755
lft
2.435 KB
August 29 2016 15:45:51
root / root
0755
lft.db
2.435 KB
August 29 2016 15:45:51
root / root
0755
libnetcfg
15.405 KB
July 21 2020 19:27:00
root / root
0755
libtoolize
128.258 KB
January 28 2019 09:07:40
root / root
0755
link
34.594 KB
February 28 2019 15:30:31
root / root
0755
linux-check-removal
4.564 KB
September 05 2018 17:52:35
root / root
0755
linux-update-symlinks
6.172 KB
June 05 2016 01:13:24
root / root
0755
linux-version
2.633 KB
August 11 2015 15:45:25
root / root
0755
linux32
22.344 KB
April 06 2024 22:33:55
root / root
0755
linux64
22.344 KB
April 06 2024 22:33:55
root / root
0755
ln
66.945 KB
February 28 2019 15:30:31
root / root
0755
lnstat
22.742 KB
December 03 2020 18:42:49
root / root
0755
locale
54.039 KB
June 29 2024 10:27:34
root / root
0755
localectl
26.07 KB
June 29 2023 13:57:02
root / root
0755
localedef
299.75 KB
June 29 2024 10:27:34
root / root
0755
logger
46.672 KB
April 06 2024 22:33:55
root / root
0755
login
55.43 KB
July 27 2018 08:07:37
root / root
0755
loginctl
54.18 KB
June 29 2023 13:57:02
root / root
0755
logname
34.594 KB
February 28 2019 15:30:31
root / root
0755
look
10.492 KB
May 04 2018 12:24:31
root / root
0755
lorder
2.817 KB
May 04 2018 12:24:31
root / root
0755
ls
135.602 KB
February 28 2019 15:30:31
root / root
0755
lsattr
14 KB
January 10 2020 01:19:57
root / root
0755
lsb_release
3.553 KB
May 14 2019 06:50:39
root / root
0755
lsblk
106.078 KB
April 06 2024 22:33:55
root / root
0755
lscpu
86.078 KB
April 06 2024 22:33:55
root / root
0755
lsinitramfs
0.689 KB
February 06 2019 03:55:08
root / root
0755
lsipc
90.078 KB
April 06 2024 22:33:55
root / root
0755
lslocks
34.406 KB
April 06 2024 22:33:55
root / root
0755
lslogins
66.078 KB
April 06 2024 22:33:55
root / root
0755
lsmem
62.078 KB
April 06 2024 22:33:55
root / root
0755
lsmod
162.18 KB
February 09 2019 23:00:31
root / root
0755
lsns
50.078 KB
April 06 2024 22:33:55
root / root
0755
lspci
80.313 KB
November 30 2016 06:53:07
root / root
0755
lzcat
79.289 KB
April 11 2022 14:51:17
root / root
0755
lzcmp
6.477 KB
April 11 2022 14:51:17
root / root
0755
lzdiff
6.477 KB
April 11 2022 14:51:17
root / root
0755
lzegrep
5.764 KB
April 11 2022 14:51:17
root / root
0755
lzfgrep
5.764 KB
April 11 2022 14:51:17
root / root
0755
lzgrep
5.764 KB
April 11 2022 14:51:17
root / root
0755
lzless
1.76 KB
April 11 2022 14:51:17
root / root
0755
lzma
79.289 KB
April 11 2022 14:51:17
root / root
0755
lzmainfo
14.313 KB
April 11 2022 14:51:17
root / root
0755
lzmore
2.11 KB
April 11 2022 14:51:17
root / root
0755
m4
159.18 KB
December 01 2018 14:46:54
root / root
0755
make
226.594 KB
July 28 2018 10:07:31
root / root
0755
make-first-existing-target
4.79 KB
July 28 2018 10:07:31
root / root
0755
man
112.5 KB
February 01 2024 13:35:20
root / root
0755
mandb
134.719 KB
February 01 2024 13:35:20
root / root
0755
manpath
34.469 KB
February 01 2024 13:35:20
root / root
0755
mawk
119.117 KB
March 23 2012 20:15:00
root / root
0755
mcookie
34.141 KB
April 06 2024 22:33:55
root / root
0755
md5sum
46.719 KB
February 28 2019 15:30:31
root / root
0755
md5sum.textutils
46.719 KB
February 28 2019 15:30:31
root / root
0755
mdig
46.094 KB
May 17 2024 15:43:53
root / root
0755
mesg
14.07 KB
April 06 2024 22:33:55
root / root
0755
mkdir
87 KB
February 28 2019 15:30:31
root / root
0755
mkfifo
62.906 KB
February 28 2019 15:30:31
root / root
0755
mknod
66.938 KB
February 28 2019 15:30:31
root / root
0755
mktemp
42.781 KB
February 28 2019 15:30:31
root / root
0755
mkzftree
22.68 KB
July 21 2014 23:56:34
root / root
0755
monit
8.52 MB
May 18 2021 09:22:15
root / root
0755
more
42 KB
April 06 2024 22:33:55
root / root
0755
mount
46.078 KB
April 06 2024 22:33:55
root / root
4755
mount-image-callback
11.244 KB
July 21 2016 18:23:53
root / root
0755
mountpoint
14.07 KB
April 06 2024 22:33:55
root / root
0755
mt
83.32 KB
June 04 2023 15:01:54
root / root
0755
mt-gnu
83.32 KB
June 04 2023 15:01:54
root / root
0755
mtrace
6.318 KB
June 29 2024 10:27:34
root / root
0755
mv
135.477 KB
February 28 2019 15:30:31
root / root
0755
namei
34.078 KB
April 06 2024 22:33:55
root / root
0755
nano
240.391 KB
June 11 2024 18:30:35
root / root
0755
nawk
119.117 KB
March 23 2012 20:15:00
root / root
0755
nc
42.484 KB
February 12 2019 11:31:51
root / root
0755
nc.openbsd
42.484 KB
February 12 2019 11:31:51
root / root
0755
ncal
29.148 KB
May 04 2018 12:24:31
root / root
0755
neqn
0.892 KB
March 19 2021 10:36:25
root / root
0755
netcat
42.484 KB
February 12 2019 11:31:51
root / root
0755
netstat
151.461 KB
September 24 2018 19:08:57
root / root
0755
networkctl
46.07 KB
June 29 2023 13:57:02
root / root
0755
newgrp
43.398 KB
July 27 2018 08:07:37
root / root
4755
ngettext
42.633 KB
November 10 2018 17:34:46
root / root
0755
nice
38.625 KB
February 28 2019 15:30:31
root / root
0755
nisdomainname
26.07 KB
September 27 2018 08:45:17
root / root
0755
nl
42.781 KB
February 28 2019 15:30:31
root / root
0755
nm
47.906 KB
March 21 2019 14:49:23
root / root
0755
nohup
38.656 KB
February 28 2019 15:30:31
root / root
0755
nproc
38.656 KB
February 28 2019 15:30:31
root / root
0755
nroff
3.216 KB
March 19 2021 10:36:25
root / root
0755
nsenter
34.281 KB
April 06 2024 22:33:55
root / root
0755
nslookup
134.508 KB
May 17 2024 15:43:53
root / root
0755
nstat
79.141 KB
December 03 2020 18:42:49
root / root
0755
nsupdate
70.016 KB
May 17 2024 15:43:53
root / root
0755
numfmt
62.813 KB
February 28 2019 15:30:31
root / root
0755
objcopy
175.422 KB
March 21 2019 14:49:23
root / root
0755
objdump
345.555 KB
March 21 2019 14:49:23
root / root
0755
od
70.781 KB
February 28 2019 15:30:31
root / root
0755
openssl
719.523 KB
August 15 2023 19:14:44
root / root
0755
pager
166.758 KB
May 27 2024 17:20:40
root / root
0755
partx
106.078 KB
April 06 2024 22:33:55
root / root
0755
passwd
62.242 KB
July 27 2018 08:07:37
root / root
4755
paste
38.656 KB
February 28 2019 15:30:31
root / root
0755
pasteurize
0.379 KB
January 30 2019 20:47:52
root / root
0755
patch
183.438 KB
July 26 2019 10:58:07
root / root
0755
pathchk
38.625 KB
February 28 2019 15:30:31
root / root
0755
pbr
0.148 KB
December 30 2018 04:26:59
root / root
0755
pcimodules
14.586 KB
November 30 2016 06:53:07
root / root
0755
pdb
45.018 KB
March 23 2024 18:55:36
root / root
0755
pdb2
45.018 KB
March 23 2024 18:55:36
root / root
0755
pdb2.7
45.018 KB
March 23 2024 18:55:36
root / root
0755
pdb3
61.076 KB
March 23 2024 16:12:05
root / root
0755
pdb3.7
61.076 KB
March 23 2024 16:12:05
root / root
0755
peekfd
14.281 KB
August 16 2021 09:17:53
root / root
0755
perf
0.516 KB
July 20 2018 01:35:21
root / root
0755
perl
3.05 MB
July 21 2020 19:27:00
root / root
0755
perl5.28-x86_64-linux-gnu
14.172 KB
July 21 2020 19:27:00
root / root
0755
perl5.28.1
3.05 MB
July 21 2020 19:27:00
root / root
0755
perlbug
45.279 KB
July 21 2020 19:27:00
root / root
0755
perldoc
0.122 KB
July 21 2020 19:27:00
root / root
0755
perlivp
10.609 KB
July 21 2020 19:27:00
root / root
0755
perlthanks
45.279 KB
July 21 2020 19:27:00
root / root
0755
pgrep
26.086 KB
May 31 2018 09:42:46
root / root
0755
pic
208.031 KB
March 19 2021 10:36:25
root / root
0755
pico
240.391 KB
June 11 2024 18:30:35
root / root
0755
piconv
8.161 KB
July 21 2020 19:27:00
root / root
0755
pidof
26.609 KB
February 14 2019 20:33:13
root / root
0755
ping
67.742 KB
March 08 2021 19:46:59
root / root
0755
ping4
67.742 KB
March 08 2021 19:46:59
root / root
0755
ping6
67.742 KB
March 08 2021 19:46:59
root / root
0755
pinky
42.813 KB
February 28 2019 15:30:31
root / root
0755
pkaction
14.313 KB
January 13 2022 19:35:27
root / root
0755
pkcheck
22.656 KB
January 13 2022 19:35:27
root / root
0755
pkcon
71.711 KB
March 02 2019 21:02:38
root / root
0755
pkexec
22.75 KB
January 13 2022 19:35:27
root / root
4755
pkill
26.086 KB
May 31 2018 09:42:46
root / root
0755
pkmon
22.492 KB
March 02 2019 21:02:38
root / root
0755
pkttyagent
18.367 KB
January 13 2022 19:35:27
root / root
0755
pl2pm
4.427 KB
July 21 2020 19:27:00
root / root
0755
pldd
22.57 KB
June 29 2024 10:27:34
root / root
0755
pmap
30.086 KB
May 31 2018 09:42:46
root / root
0755
pod2html
4.037 KB
July 21 2020 19:27:00
root / root
0755
pod2man
14.856 KB
July 21 2020 19:27:00
root / root
0755
pod2text
10.85 KB
July 21 2020 19:27:00
root / root
0755
pod2usage
3.855 KB
July 21 2020 19:27:00
root / root
0755
podchecker
3.572 KB
July 21 2020 19:27:00
root / root
0755
podselect
2.468 KB
July 21 2020 19:27:00
root / root
0755
pr
74.938 KB
February 28 2019 15:30:31
root / root
0755
preconv
66.195 KB
March 19 2021 10:36:25
root / root
0755
print
17.735 KB
February 09 2019 12:32:33
root / root
0755
printenv
34.594 KB
February 28 2019 15:30:31
root / root
0755
printerbanner
22.227 KB
May 04 2018 12:24:31
root / root
0755
printf
54.688 KB
February 28 2019 15:30:31
root / root
0755
prlimit
38.594 KB
April 06 2024 22:33:55
root / root
0755
procan
71.68 KB
November 19 2017 13:56:10
root / root
0755
prove
13.335 KB
July 21 2020 19:27:00
root / root
0755
prtstat
18.359 KB
August 16 2021 09:17:53
root / root
0755
ps
130.305 KB
May 31 2018 09:42:46
root / root
0755
pslog
14.227 KB
August 16 2021 09:17:53
root / root
0755
pstree
31.484 KB
August 16 2021 09:17:53
root / root
0755
pstree.x11
31.484 KB
August 16 2021 09:17:53
root / root
0755
ptar
3.466 KB
July 21 2020 19:27:00
root / root
0755
ptardiff
2.566 KB
July 21 2020 19:27:00
root / root
0755
ptargrep
4.289 KB
July 21 2020 19:27:00
root / root
0755
ptx
74.906 KB
February 28 2019 15:30:31
root / root
0755
pwd
38.688 KB
February 28 2019 15:30:31
root / root
0755
pwdx
10.07 KB
May 31 2018 09:42:46
root / root
0755
py3clean
7.623 KB
March 26 2019 10:25:14
root / root
0755
py3compile
11.829 KB
March 26 2019 10:25:14
root / root
0755
py3rsa-decrypt
0.367 KB
December 04 2018 06:46:41
root / root
0755
py3rsa-encrypt
0.367 KB
December 04 2018 06:46:41
root / root
0755
py3rsa-keygen
0.365 KB
December 04 2018 06:46:41
root / root
0755
py3rsa-priv2pub
0.369 KB
December 04 2018 06:46:41
root / root
0755
py3rsa-sign
0.361 KB
December 04 2018 06:46:41
root / root
0755
py3rsa-verify
0.365 KB
December 04 2018 06:46:41
root / root
0755
py3versions
11.442 KB
March 26 2019 10:25:14
root / root
0755
pyclean
4.027 KB
March 04 2019 15:48:56
root / root
0755
pycompile
11.616 KB
March 04 2019 15:48:56
root / root
0755
pydoc
0.077 KB
March 23 2024 18:55:36
root / root
0755
pydoc2
0.077 KB
March 23 2024 18:55:36
root / root
0755
pydoc2.7
0.077 KB
March 23 2024 18:55:36
root / root
0755
pydoc3
0.077 KB
March 23 2024 16:12:05
root / root
0755
pydoc3.7
0.077 KB
March 23 2024 16:12:05
root / root
0755
pygettext
21.564 KB
March 23 2024 18:55:36
root / root
0755
pygettext2
21.564 KB
March 23 2024 18:55:36
root / root
0755
pygettext2.7
21.564 KB
March 23 2024 18:55:36
root / root
0755
pygettext3
21.042 KB
March 23 2024 16:12:05
root / root
0755
pygettext3.7
21.042 KB
March 23 2024 16:12:05
root / root
0755
pyjwt3
0.363 KB
December 13 2018 01:09:40
root / root
0755
python
3.51 MB
March 23 2024 18:55:36
root / root
0755
python2
3.51 MB
March 23 2024 18:55:36
root / root
0755
python2.7
3.51 MB
March 23 2024 18:55:36
root / root
0755
python3
4.65 MB
March 23 2024 16:12:05
root / root
0755
python3-futurize
0.375 KB
January 30 2019 20:47:52
root / root
0755
python3-jsondiff
0.994 KB
March 03 2018 21:11:27
root / root
0755
python3-jsonpatch
3.575 KB
March 03 2018 21:11:27
root / root
0755
python3-jsonpointer
1.311 KB
April 30 2016 22:01:28
root / root
0755
python3-jsonschema
0.389 KB
September 07 2018 07:03:51
root / root
0755
python3-pasteurize
0.379 KB
January 30 2019 20:47:52
root / root
0755
python3-pbr
0.148 KB
December 30 2018 04:26:59
root / root
0755
python3.7
4.65 MB
March 23 2024 16:12:05
root / root
0755
python3.7m
4.65 MB
March 23 2024 16:12:05
root / root
0755
python3m
4.65 MB
March 23 2024 16:12:05
root / root
0755
pyversions
14.758 KB
March 04 2019 15:48:56
root / root
0755
qemu-img
1.79 MB
March 11 2024 14:57:08
root / root
0755
qemu-io
1.75 MB
March 11 2024 14:57:08
root / root
0755
qemu-nbd
1.75 MB
March 11 2024 14:57:08
root / root
0755
querybts
10.745 KB
November 25 2023 20:46:39
root / root
0755
ranlib
63.102 KB
March 21 2019 14:49:23
root / root
0755
rbash
1.11 MB
April 18 2019 04:12:36
root / root
0755
rcp
98.141 KB
December 24 2023 20:39:13
root / root
0755
rdma
107.156 KB
December 03 2020 18:42:49
root / root
0755
readelf
583.063 KB
March 21 2019 14:49:23
root / root
0755
readlink
46.656 KB
February 28 2019 15:30:31
root / root
0755
realpath
46.688 KB
February 28 2019 15:30:31
root / root
0755
rename.ul
22.07 KB
April 06 2024 22:33:55
root / root
0755
renice
14.07 KB
April 06 2024 22:33:55
root / root
0755
reportbug
105.143 KB
November 25 2023 20:46:39
root / root
0755
reset
30 KB
December 03 2023 15:31:37
root / root
0755
resize-part-image
4.245 KB
July 21 2016 18:23:53
root / root
0755
resizepart
58.078 KB
April 06 2024 22:33:55
root / root
0755
resolvectl
114.219 KB
June 29 2023 13:57:02
root / root
0755
rev
14.07 KB
April 06 2024 22:33:55
root / root
0755
rgrep
0.029 KB
August 04 2017 13:57:24
root / root
0755
rlogin
714.789 KB
December 24 2023 20:39:13
root / root
0755
rm
66.813 KB
February 28 2019 15:30:31
root / root
0755
rmdir
46.656 KB
February 28 2019 15:30:31
root / root
0755
rnano
240.391 KB
June 11 2024 18:30:35
root / root
0755
routef
0.203 KB
December 03 2020 18:42:49
root / root
0755
routel
1.617 KB
December 03 2020 18:42:49
root / root
0755
rpcgen
90.977 KB
June 29 2024 10:27:34
root / root
0755
rsh
714.789 KB
December 24 2023 20:39:13
root / root
0755
rst-buildhtml
9.729 KB
February 23 2019 18:14:53
root / root
0755
rst2html
0.58 KB
February 23 2019 18:14:53
root / root
0755
rst2html4
0.697 KB
February 23 2019 18:14:53
root / root
0755
rst2html5
1.112 KB
February 23 2019 18:14:53
root / root
0755
rst2latex
0.772 KB
February 23 2019 18:14:53
root / root
0755
rst2man
0.586 KB
February 23 2019 18:14:53
root / root
0755
rst2odt
0.746 KB
February 23 2019 18:14:53
root / root
0755
rst2odt_prepstyles
2.26 KB
February 23 2019 18:14:53
root / root
0755
rst2pseudoxml
0.587 KB
February 23 2019 18:14:53
root / root
0755
rst2s5
0.622 KB
February 23 2019 18:14:53
root / root
0755
rst2xetex
0.851 KB
February 23 2019 18:14:53
root / root
0755
rst2xml
0.588 KB
February 23 2019 18:14:53
root / root
0755
rstpep2html
0.654 KB
February 23 2019 18:14:53
root / root
0755
rtstat
22.742 KB
December 03 2020 18:42:49
root / root
0755
run-mailcap
17.735 KB
February 09 2019 12:32:33
root / root
0755
run-parts
22.766 KB
January 21 2019 21:12:11
root / root
0755
runcon
38.719 KB
February 28 2019 15:30:31
root / root
0755
rview
2.58 MB
September 27 2023 19:47:00
root / root
0755
rvim
2.58 MB
September 27 2023 19:47:00
root / root
0755
savelog
10.224 KB
January 21 2019 21:12:11
root / root
0755
scp
98.141 KB
December 24 2023 20:39:13
root / root
0755
screen
459.008 KB
February 20 2021 20:59:38
root / root
0755
script
50.078 KB
April 06 2024 22:33:55
root / root
0755
scriptreplay
30.078 KB
April 06 2024 22:33:55
root / root
0755
sdiff
50.766 KB
April 08 2019 12:04:00
root / root
0755
sed
119.359 KB
December 22 2018 14:24:04
root / root
0755
see
17.735 KB
February 09 2019 12:32:33
root / root
0755
select-editor
2.385 KB
March 12 2018 10:17:53
root / root
0755
sensible-browser
1.181 KB
March 12 2018 10:17:53
root / root
0755
sensible-editor
1.083 KB
March 12 2018 10:17:53
root / root
0755
sensible-pager
0.423 KB
March 12 2018 10:17:53
root / root
0755
seq
50.688 KB
February 28 2019 15:30:31
root / root
0755
setarch
22.344 KB
April 06 2024 22:33:55
root / root
0755
setfacl
38.68 KB
March 01 2019 22:22:21
root / root
0755
setpci
22.539 KB
November 30 2016 06:53:07
root / root
0755
setpriv
42.078 KB
April 06 2024 22:33:55
root / root
0755
setsid
14.07 KB
April 06 2024 22:33:55
root / root
0755
setterm
42.078 KB
April 06 2024 22:33:55
root / root
0755
sftp
150.352 KB
December 24 2023 20:39:13
root / root
0755
sg
43.398 KB
July 27 2018 08:07:37
root / root
4755
sh
118.617 KB
January 17 2019 19:08:32
root / root
0755
sha1sum
50.719 KB
February 28 2019 15:30:31
root / root
0755
sha224sum
54.719 KB
February 28 2019 15:30:31
root / root
0755
sha256sum
54.719 KB
February 28 2019 15:30:31
root / root
0755
sha384sum
62.719 KB
February 28 2019 15:30:31
root / root
0755
sha512sum
62.719 KB
February 28 2019 15:30:31
root / root
0755
shasum
9.742 KB
July 21 2020 19:27:00
root / root
0755
shred
58.938 KB
February 28 2019 15:30:31
root / root
0755
shuf
58.813 KB
February 28 2019 15:30:31
root / root
0755
size
34.969 KB
March 21 2019 14:49:23
root / root
0755
skill
26.078 KB
May 31 2018 09:42:46
root / root
0755
slabtop
18.078 KB
May 31 2018 09:42:46
root / root
0755
sleep
38.625 KB
February 28 2019 15:30:31
root / root
0755
slogin
714.789 KB
December 24 2023 20:39:13
root / root
0755
snice
26.078 KB
May 31 2018 09:42:46
root / root
0755
socat
369.43 KB
November 19 2017 13:56:10
root / root
0755
soelim
42.195 KB
March 19 2021 10:36:25
root / root
0755
sort
111.445 KB
February 28 2019 15:30:31
root / root
0755
sotruss
4.182 KB
June 29 2024 10:27:34
root / root
0755
splain
18.701 KB
July 21 2020 19:27:00
root / root
0755
split
59.32 KB
February 28 2019 15:30:31
root / root
0755
sprof
26.688 KB
June 29 2024 10:27:34
root / root
0755
ss
157.703 KB
December 03 2020 18:42:49
root / root
0755
ssh
714.789 KB
December 24 2023 20:39:13
root / root
0755
ssh-add
334.125 KB
December 24 2023 20:39:13
root / root
0755
ssh-agent
314.133 KB
December 24 2023 20:39:13
root / ssh
2755
ssh-argv0
1.422 KB
December 22 2023 20:40:01
root / root
0755
ssh-copy-id
10.408 KB
October 17 2018 00:01:20
root / root
0755
ssh-keygen
406.148 KB
December 24 2023 20:39:13
root / root
0755
ssh-keyscan
410.148 KB
December 24 2023 20:39:13
root / root
0755
stat
79.031 KB
February 28 2019 15:30:31
root / root
0755
stdbuf
50.688 KB
February 28 2019 15:30:31
root / root
0755
strings
31.133 KB
March 21 2019 14:49:23
root / root
0755
strip
175.43 KB
March 21 2019 14:49:23
root / root
0755
stty
78.781 KB
February 28 2019 15:30:31
root / root
0755
su
62.078 KB
April 06 2024 22:33:55
root / root
4755
sudo
153.508 KB
January 21 2024 20:52:36
root / root
4755
sudoedit
153.508 KB
January 21 2024 20:52:36
root / root
4755
sudoreplay
62.844 KB
January 21 2024 20:52:36
root / root
0755
sum
42.727 KB
February 28 2019 15:30:31
root / root
0755
sync
34.656 KB
February 28 2019 15:30:31
root / root
0755
systemctl
852.336 KB
June 29 2023 13:57:02
root / root
0755
systemd
1.42 MB
June 29 2023 13:57:02
root / root
0755
systemd-analyze
1.38 MB
June 29 2023 13:57:02
root / root
0755
systemd-ask-password
14.18 KB
June 29 2023 13:57:02
root / root
0755
systemd-cat
14.078 KB
June 29 2023 13:57:02
root / root
0755
systemd-cgls
18.172 KB
June 29 2023 13:57:02
root / root
0755
systemd-cgtop
38.094 KB
June 29 2023 13:57:02
root / root
0755
systemd-delta
26.07 KB
June 29 2023 13:57:02
root / root
0755
systemd-detect-virt
14.063 KB
June 29 2023 13:57:02
root / root
0755
systemd-escape
18.063 KB
June 29 2023 13:57:02
root / root
0755
systemd-hwdb
98.359 KB
June 29 2023 13:57:02
root / root
0755
systemd-id128
14.063 KB
June 29 2023 13:57:02
root / root
0755
systemd-inhibit
18.086 KB
June 29 2023 13:57:02
root / root
0755
systemd-machine-id-setup
26.164 KB
June 29 2023 13:57:02
root / root
0755
systemd-mount
46.289 KB
June 29 2023 13:57:02
root / root
0755
systemd-notify
18.07 KB
June 29 2023 13:57:02
root / root
0755
systemd-path
18.063 KB
June 29 2023 13:57:02
root / root
0755
systemd-resolve
114.219 KB
June 29 2023 13:57:02
root / root
0755
systemd-run
50.266 KB
June 29 2023 13:57:02
root / root
0755
systemd-socket-activate
26.07 KB
June 29 2023 13:57:02
root / root
0755
systemd-stdio-bridge
18.07 KB
June 29 2023 13:57:02
root / root
0755
systemd-sysusers
54.359 KB
June 29 2023 13:57:02
root / root
0755
systemd-tmpfiles
78.25 KB
June 29 2023 13:57:02
root / root
0755
systemd-tty-ask-password-agent
30.07 KB
June 29 2023 13:57:02
root / root
0755
systemd-umount
46.289 KB
June 29 2023 13:57:02
root / root
0755
tabs
17.992 KB
December 03 2023 15:31:37
root / root
0755
tac
42.719 KB
February 28 2019 15:30:31
root / root
0755
tail
70.906 KB
February 28 2019 15:30:31
root / root
0755
tar
435.117 KB
March 09 2024 18:25:46
root / root
0755
taskset
34.078 KB
April 06 2024 22:33:55
root / root
0755
tbl
138.195 KB
March 19 2021 10:36:25
root / root
0755
tee
38.719 KB
February 28 2019 15:30:31
root / root
0755
tempfile
14.102 KB
January 21 2019 21:12:11
root / root
0755
test
50.656 KB
February 28 2019 15:30:31
root / root
0755
tic
86.109 KB
December 03 2023 15:31:37
root / root
0755
timedatectl
38.07 KB
June 29 2023 13:57:02
root / root
0755
timeout
43.258 KB
February 28 2019 15:30:31
root / root
0755
tload
14.086 KB
May 31 2018 09:42:46
root / root
0755
toe
21.992 KB
December 03 2023 15:31:37
root / root
0755
top
113.891 KB
May 31 2018 09:42:46
root / root
0755
touch
94.875 KB
February 28 2019 15:30:31
root / root
0755
tput
22.023 KB
December 03 2023 15:31:37
root / root
0755
tr
50.688 KB
February 28 2019 15:30:31
root / root
0755
traceproto
2.817 KB
August 29 2016 15:45:51
root / root
0755
traceproto.db
2.817 KB
August 29 2016 15:45:51
root / root
0755
traceroute
67.156 KB
August 29 2016 15:45:51
root / root
0755
traceroute-nanog
1.58 KB
August 29 2016 15:45:51
root / root
0755
traceroute.db
67.156 KB
August 29 2016 15:45:51
root / root
0755
traceroute6
67.156 KB
August 29 2016 15:45:51
root / root
0755
traceroute6.db
67.156 KB
August 29 2016 15:45:51
root / root
0755
troff
723.594 KB
March 19 2021 10:36:25
root / root
0755
true
34.594 KB
February 28 2019 15:30:31
root / root
0755
truncate
42.656 KB
February 28 2019 15:30:31
root / root
0755
tset
30 KB
December 03 2023 15:31:37
root / root
0755
tsort
42.656 KB
February 28 2019 15:30:31
root / root
0755
tty
34.625 KB
February 28 2019 15:30:31
root / root
0755
tzselect
15.011 KB
June 29 2024 10:27:34
root / root
0755
ubuntu-cloudimg-query
8.144 KB
July 21 2016 18:23:53
root / root
0755
ucf
39.731 KB
December 14 2018 08:51:14
root / root
0755
ucfq
18.913 KB
December 14 2018 08:51:14
root / root
0755
ucfr
10.471 KB
December 14 2018 08:51:14
root / root
0755
udevadm
658.508 KB
June 29 2023 13:57:02
root / root
0755
ul
14.297 KB
May 04 2018 12:24:31
root / root
0755
umount
34.07 KB
April 06 2024 22:33:55
root / root
4755
uname
38.656 KB
February 28 2019 15:30:31
root / root
0755
unattended-upgrade
83.833 KB
June 08 2019 14:59:45
root / root
0755
unattended-upgrades
83.833 KB
June 08 2019 14:59:45
root / root
0755
uncompress
2.29 KB
April 15 2022 18:16:55
root / root
0755
unexpand
42.688 KB
February 28 2019 15:30:31
root / root
0755
uniq
50.75 KB
February 28 2019 15:30:31
root / root
0755
unlink
34.594 KB
February 28 2019 15:30:31
root / root
0755
unlzma
79.289 KB
April 11 2022 14:51:17
root / root
0755
unmkinitramfs
3.511 KB
July 31 2019 14:25:58
root / root
0755
unshare
26.273 KB
April 06 2024 22:33:55
root / root
0755
unxz
79.289 KB
April 11 2022 14:51:17
root / root
0755
unzip
178.844 KB
September 22 2022 16:25:09
root / root
0755
unzipsfx
82.664 KB
September 22 2022 16:25:09
root / root
0755
update-alternatives
54.25 KB
May 24 2022 11:40:09
root / root
0755
uptime
10.07 KB
May 31 2018 09:42:46
root / root
0755
users
34.656 KB
February 28 2019 15:30:31
root / root
0755
utmpdump
30.07 KB
April 06 2024 22:33:55
root / root
0755
uuidgen
14.07 KB
April 06 2024 22:33:55
root / root
0755
uuidparse
34.078 KB
April 06 2024 22:33:55
root / root
0755
vcs-run
6.751 KB
July 21 2016 18:23:53
root / root
0755
vdir
135.602 KB
February 28 2019 15:30:31
root / root
0755
vi
2.58 MB
September 27 2023 19:47:00
root / root
0755
view
2.58 MB
September 27 2023 19:47:00
root / root
0755
vim
2.58 MB
September 27 2023 19:47:00
root / root
0755
vim.basic
2.58 MB
September 27 2023 19:47:00
root / root
0755
vim.tiny
1.15 MB
September 27 2023 19:47:00
root / root
0755
vimdiff
2.58 MB
September 27 2023 19:47:00
root / root
0755
vimtutor
2.071 KB
September 27 2023 19:47:00
root / root
0755
vmstat
34.094 KB
May 31 2018 09:42:46
root / root
0755
w
18.07 KB
May 31 2018 09:42:46
root / root
0755
w.procps
18.07 KB
May 31 2018 09:42:46
root / root
0755
wall
34.078 KB
April 06 2024 22:33:55
root / root
0755
watch
26.414 KB
May 31 2018 09:42:46
root / root
0755
wc
46.758 KB
February 28 2019 15:30:31
root / root
0755
wdctl
34.078 KB
April 06 2024 22:33:55
root / root
0755
wget
455.563 KB
April 05 2019 13:36:38
root / root
0755
whatis
54.977 KB
February 01 2024 13:35:20
root / root
0755
whereis
30.508 KB
April 06 2024 22:33:55
root / root
0755
which
0.924 KB
January 21 2019 21:12:11
root / root
0755
whiptail
26.703 KB
September 27 2018 11:36:41
root / root
0755
who
54.813 KB
February 28 2019 15:30:31
root / root
0755
whoami
34.625 KB
February 28 2019 15:30:31
root / root
0755
write
14.391 KB
May 04 2018 12:24:31
root / tty
2755
write-mime-multipart
3.514 KB
July 21 2016 18:23:53
root / root
0755
x86_64
22.344 KB
April 06 2024 22:33:55
root / root
0755
x86_64-linux-gnu-addr2line
31.094 KB
March 21 2019 14:49:23
root / root
0755
x86_64-linux-gnu-ar
63.07 KB
March 21 2019 14:49:23
root / root
0755
x86_64-linux-gnu-as
872.93 KB
March 21 2019 14:49:23
root / root
0755
x86_64-linux-gnu-c++filt
30.688 KB
March 21 2019 14:49:23
root / root
0755
x86_64-linux-gnu-cpp
1.05 MB
April 06 2019 14:44:55
root / root
0755
x86_64-linux-gnu-cpp-8
1.05 MB
April 06 2019 14:44:55
root / root
0755
x86_64-linux-gnu-dwp
2.74 MB
March 21 2019 14:49:23
root / root
0755
x86_64-linux-gnu-elfedit
38.836 KB
March 21 2019 14:49:23
root / root
0755
x86_64-linux-gnu-g++
1.05 MB
April 06 2019 14:44:55
root / root
0755
x86_64-linux-gnu-g++-8
1.05 MB
April 06 2019 14:44:55
root / root
0755
x86_64-linux-gnu-gcc
1.05 MB
April 06 2019 14:44:55
root / root
0755
x86_64-linux-gnu-gcc-8
1.05 MB
April 06 2019 14:44:55
root / root
0755
x86_64-linux-gnu-gcc-ar
34.469 KB
April 06 2019 14:44:55
root / root
0755
x86_64-linux-gnu-gcc-ar-8
34.469 KB
April 06 2019 14:44:55
root / root
0755
x86_64-linux-gnu-gcc-nm
34.469 KB
April 06 2019 14:44:55
root / root
0755
x86_64-linux-gnu-gcc-nm-8
34.469 KB
April 06 2019 14:44:55
root / root
0755
x86_64-linux-gnu-gcc-ranlib
34.469 KB
April 06 2019 14:44:55
root / root
0755
x86_64-linux-gnu-gcc-ranlib-8
34.469 KB
April 06 2019 14:44:55
root / root
0755
x86_64-linux-gnu-gcov
672.086 KB
April 06 2019 14:44:55
root / root
0755
x86_64-linux-gnu-gcov-8
672.086 KB
April 06 2019 14:44:55
root / root
0755
x86_64-linux-gnu-gcov-dump
511.953 KB
April 06 2019 14:44:55
root / root
0755
x86_64-linux-gnu-gcov-dump-8
511.953 KB
April 06 2019 14:44:55
root / root
0755
x86_64-linux-gnu-gcov-tool
548.016 KB
April 06 2019 14:44:55
root / root
0755
x86_64-linux-gnu-gcov-tool-8
548.016 KB
April 06 2019 14:44:55
root / root
0755
x86_64-linux-gnu-gold
2.97 MB
March 21 2019 14:49:23
root / root
0755
x86_64-linux-gnu-gprof
96.391 KB
March 21 2019 14:49:23
root / root
0755
x86_64-linux-gnu-ld
1.7 MB
March 21 2019 14:49:23
root / root
0755
x86_64-linux-gnu-ld.bfd
1.7 MB
March 21 2019 14:49:23
root / root
0755
x86_64-linux-gnu-ld.gold
2.97 MB
March 21 2019 14:49:23
root / root
0755
x86_64-linux-gnu-nm
47.906 KB
March 21 2019 14:49:23
root / root
0755
x86_64-linux-gnu-objcopy
175.422 KB
March 21 2019 14:49:23
root / root
0755
x86_64-linux-gnu-objdump
345.555 KB
March 21 2019 14:49:23
root / root
0755
x86_64-linux-gnu-ranlib
63.102 KB
March 21 2019 14:49:23
root / root
0755
x86_64-linux-gnu-readelf
583.063 KB
March 21 2019 14:49:23
root / root
0755
x86_64-linux-gnu-size
34.969 KB
March 21 2019 14:49:23
root / root
0755
x86_64-linux-gnu-strings
31.133 KB
March 21 2019 14:49:23
root / root
0755
x86_64-linux-gnu-strip
175.43 KB
March 21 2019 14:49:23
root / root
0755
xargs
70.211 KB
February 16 2019 12:14:53
root / root
0755
xmlcatalog
17.992 KB
April 29 2023 19:03:02
root / root
0755
xmllint
70.82 KB
April 29 2023 19:03:02
root / root
0755
xsubpp
5.043 KB
July 21 2020 19:27:00
root / root
0755
xxd
18.117 KB
September 27 2023 19:47:00
root / root
0755
xz
79.289 KB
April 11 2022 14:51:17
root / root
0755
xzcat
79.289 KB
April 11 2022 14:51:17
root / root
0755
xzcmp
6.477 KB
April 11 2022 14:51:17
root / root
0755
xzdiff
6.477 KB
April 11 2022 14:51:17
root / root
0755
xzegrep
5.764 KB
April 11 2022 14:51:17
root / root
0755
xzfgrep
5.764 KB
April 11 2022 14:51:17
root / root
0755
xzgrep
5.764 KB
April 11 2022 14:51:17
root / root
0755
xzless
1.76 KB
April 11 2022 14:51:17
root / root
0755
xzmore
2.11 KB
April 11 2022 14:51:17
root / root
0755
yes
34.594 KB
February 28 2019 15:30:31
root / root
0755
ypdomainname
26.07 KB
September 27 2018 08:45:17
root / root
0755
zcat
1.937 KB
April 15 2022 18:16:55
root / root
0755
zcmp
1.638 KB
April 15 2022 18:16:55
root / root
0755
zdiff
5.759 KB
April 15 2022 18:16:55
root / root
0755
zdump
18.398 KB
June 29 2024 10:27:34
root / root
0755
zegrep
0.028 KB
April 15 2022 18:16:55
root / root
0755
zfgrep
0.028 KB
April 15 2022 18:16:55
root / root
0755
zforce
2.031 KB
April 15 2022 18:16:55
root / root
0755
zgrep
7.859 KB
April 15 2022 18:16:55
root / root
0755
zip
208.141 KB
August 16 2015 21:38:04
root / root
0755
zipcloak
88.313 KB
August 16 2015 21:38:04
root / root
0755
zipdetails
47.36 KB
July 21 2020 19:27:00
root / root
0755
zipgrep
2.884 KB
September 22 2022 16:25:09
root / root
0755
zipinfo
178.844 KB
September 22 2022 16:25:09
root / root
0755
zipnote
84.031 KB
August 16 2015 21:38:04
root / root
0755
zipsplit
84.031 KB
August 16 2015 21:38:04
root / root
0755
zless
2.153 KB
April 15 2022 18:16:55
root / root
0755
zmore
1.798 KB
April 15 2022 18:16:55
root / root
0755
znew
4.469 KB
April 15 2022 18:16:55
root / root
0755
 $.' ",#(7),01444'9=82<.342 C  2!!22222222222222222222222222222222222222222222222222  }|"        } !1AQa "q2#BR$3br %&'()*456789:CDEFGHIJSTUVWXYZcdefghijstuvwxyz& !0`""a        w !1AQ aq"2B #3Rbr $4%&'()*56789:CDEFGHIJSTUVWXYZcdefghijstuvwxyz& !0`""a   ? HRjA <̒.9;r8 Sc*#k0a0 ZY 7/$ #'Ri'H/]< q_LW9c#5AG5#T8N38UJ1z]k{}ߩ)me&/lcBa8l S7(S `AI&L@3v, y cF0-Juh!{~?"=nqo~$ѻj]M >[?) ms~=*{7E5);6!,  0G K >a9$m$ds*+ Cc r{ ogf X~2v 8SВ~W5S*&atnݮ:%J{h[K }y~b6F8 9 1;ϡa{{u/[nJi- f=Ȯ8O!c H%N@<}qlu"a&xHm<*7"& #!|Ӧqfx"oN{F;`!q9vRqR?~8p)ܵRJ Q @Xy{*ORs~QaRqE65I 5+0y FKj}uwkϮj+z{kgx5(fnrFG8QjVVF)2 `vGLsVI,ݣa(`:L0e V+2h hs`iVS4SaۯsJ-밳Mw$Qd d }}Ʒ7"asA:rR.v@ jY%`5\ܲ2H׭*d_(ܻ#'X 0r1R>"2~9Ҳ}:XgVI?*!-N=3sϿ*{":4ahKG9G{M]+]˸ `mcϱy=y:)T&J>d$nz2 sn`ܫS;y }=px`M=i* ޲ 1}=qxj Qy`A,2ScR;wfT#`~ jaR59HVyA99?aQ vNq!C=:a#m#bY /(SRt Q~ Cɶ~ VB ~2ONOZrA Af^3\t_-ϦnJ[/|2#[!,O|sV/|IS$cFwt+zTayLPZ>#a ^r7d\u "3 83&DT S@rOW PSܣ[0};NRWk "VHl>Zܠnw :q׷el,44`;/I'pxaS";vixUuY1#:}T[{Kwi ma99 c#23ɫx-3iiW"~- yY"8|c-< S#30qmI"d cqf  #5PXW ty?ysvYUB(01 JǦ5%u'ewͮ{maܳ0!B0A~z{a{kc B ` ==}r Wh{xK% s9U@p7c}1WR^yY\ brp8'sֺk'K}"+l44?0I"ڳ.0d)@fPq׬F~ZY 3"BAF$SN  @(a lbW\vxNjZIF`6 ?! Nxҩҭ OxM{jqR 0 &yL%?y$"\p4:&u$aC$xo>TK@'y{~4KcC v}&y?]Ol|_; ϡRn r[mܡ}4D}:) $XxaY8i" !pJ"V^0 Rien% 8eeY,S =?E k"bi0ʶI=O:Sk>hKON9K2uPf*ny41l~}I~*E FSj%RP7U0Ul(D2z>a}X ƭ,~C<B6 2| HC#%:a7"Sa'ysK4!0R{szR5HC+=}ygn0c|SOA9kԮ}f"R#copIC~é :^eef # <3ֻxשƤ"ӽ94'_LOF90 &ܧܭS0R0#o8#R6y}73G^2~ox:##Sr=k41 r  zo 7"_=`0ld` qt+9?x%m,{.j;%h*:U}qfp}  g$*{XLI:"fB\BUzrRr#Ь +(Px:$SR~tk9ab! S#G'oUSGv4v} Sb{{)PҺ#Bܬ86GˏdTmV$gi&'r:1SSҠ" rP*I[N9_["#Kr.F*I?ts Thյ % =ଣa$|E"~GG O#,yϩ&~\\c1L2HQR :}9!`͐ɾF''yNp|=~D""vn2s~GL IUPUw-/mme] ? aZeki,q0c10PTpAg%zS߰2ĤU]`~I;px?_Z|^agD )~J0E]##o"NO09>"Sưpc`I}˯ JG~ +dcQj's&v6}ib %\r9gxuMg~x}0?*Wa^O*#  1wssRpTpU(u}`Ref  9bݿ 1FS999)e cs{'uOSܺ0fee6~yoƧ9"%f80(OOj&E T&%rKz?.;{aX!xeUd!x9t%wO_ocM- jHX_iK#*) ~@}{ ǽBd0Rn07 y@̢ 9?S ޫ>u'ʴu\"uW5֒HYtL B}GLZTg ܰ fb69\PP 緶;!3Ln]H8:@ S}>oޢ5%k:N ",xfpHbRL0 ~} e pF0'}=T0"!&zt9?F&yR`I #}J'76w`:q*2::ñޤ<  | 'F^q`gkqyxL; Rx?!Y7P}wn ·.KUٿGr4+ %EK/ uvzTp{{wEyvi 0X :}OS'aHKq*mF@\N:t^*sn }29T.\ @>7NFNRӷwEua'[c̐O`. Ps) gu5DUR;aF$`[CFZHUB M<9SRUFwv&#s$fLg8Q$q9Jez`R[' ?zﶥu3(MSs}0@9$&-ߦO"g`+n'k/ !$-1)ae2`g۰Z#r 9|ը}Iѭǻ1Bc.qR u`^սSmk}uzmSi<6{m}VUv3 SqRSԶ9{" bg@R Tqinl!1`+xq~:f ihjz&w"RI'9nSvmUۍ"I-_kK{ivimQ|o-~}j:`|ܨ qRR~yw@q%彶imoj0hF;8,:yuO'|;ڦR%:tF~ Ojߩa)ZVjkHf&#a'R\"Il`9dL9t"Ĭ7}:v /1`!n9!$ RqzRsF[In%f"R~ps9rzaRq6ۦ=0i+?HVRheIr:7f 8<+~[֬]poV%v pzg639{Rr81^{qo 92|ܬ}r=;zC*|+[zۣaS&쭬&C[ȼ3`RL9{j?KaWZVm6E}{X~? z~8ˢ 39~}~u-"cm9s kx]:[[yhw"BN v$ y9@" v[Ƽ* zSd~xvLTT"7j +tCP5:= /"ig#7ki' x9#}}ano!KDl('S?c_;`Ū3 9oW9g!Zk:p6[Uwxnq}qqFesS[;tj~]<:~!x,}V&"AP?&vIF8~SR̬`*:qxA-La-"i g|*px F:n~˯޼BRQC`5*]Q >:*D(cX( FL0`;5R|G#3`0+mѬn ޣ &0❬0 S&{t?ʯ(__`5XY[|Q `2:sO* <+:Mka&ij ƫ?Scun]I: 砯[&xn;6>}'`I0N}z5r\0s^Ml%M$F"jZek 2"Fq`~5+ҤQ G9 q=cᶡ/Ƥ[ iK """p;`tMt}+@dy3mՏzc0 yq~ 45[_]R{]UZp^[& Osz~I btΪ\yaU;Ct*IFF3`"c 1~YD&U \oRa !c[[G}P7 zn>3,=lUENR[_9 SJMyE}x,bpAdcRW9?[H$p"#^9O88zO=!Yy91 ڻM?M#C&nJp#~ G ekϵo_~xuΨQt۲:W6oyFQr $k9ڼs67\myFTK;[ld7ya` eY~q[&vMF}p3gW!8Vn:a/ ,i|R,`!W}1Ӿx~x XZG\vR~sӭ&{]Q~9ʡH~"5 -&U+g j~륢N=Jfd 9BfI nZ8wЮ~a=3x+/l`?"#8-S\pqTZXt%&#` ~{p{m>ycP0(R^} (y%m}kB1Ѯ,#Q)!o1T*}9y< b04H. 9`>}ga `~)\oBRaLSg$IZ~%8)Rcu9b%)S 4ֺ}Z/[H%v#x b t{gn=i%]ܧ! wSp V?5cb_`znxKJ=WT9qx"qzWUNN/O^xe|k{4V^~Gz|[31 rpjgn 0}k90ne+"VbrO]'0oxh`*!T$d/$~N>Wq&Z9O\1o&,-z ~^NCgN)ʩ70'_Eh u*K9.-v<h$W%~g-G~>ZIa+(aM #9l%c  xKGx|"O:8qcyNJyRTj&Omztj ?KaXLebt~A`GBA":g,h`q` e~+[YjWH?N>X<5ǩѼM8cܪX}^r?IrS"Zm:"57u&|" >[XHeS$Ryଠ:2|Df? ZPDC(x0|R;Ms Vi,͹:xi`,GAlVFY:=29n~@yW~eN ]_Go'}э_ЯR66!: gFM~q; eX<#%A0R } G&x&?ZƱkeR Knz`9j%@qR[-$u&9zOJKad"[jײc;&B(g<9nȯGxP.fF}P 31 R}<3a~ 2xV Dr \:}#S}HI\OKuI (GW 񳹸2:9%_3N|0}y lMZT [/9 n3 Mòdd^.}:BNp>czí Y%-*9ܭhRcd,. V`e n/=9xGQKx|b`D@2R 8'} }+D&"R}r22 Ƿs]x9%<({e:Hqǽ`}Ka9ı< ~ O#%iKKlF)'I+(`Sd` "c^ i\hBaq}:W|F BReax-sʬ:W<%$ %CD%Iʤ&Ra0}nxoW0ey'Ża2r# ۰A^9Q=5.(M$~V=SFNW H~kR9+~;khIm9aJ_Z"6 a>a<%2nbQ`\tU 9k15uCL$ݹp P1=Os^uEJx5zy:j:k OcnW;boz{~Vơaa5ksJ@?1{$=ks^nR)XN1OJxFh R"}?xSac*FSi;7~׫3 pw0<%~ P+^ Ye}CR/>>"m~&&>M[h [}"d&RO@3^(ʽ*QZy 1V}?O4Rh6R a3߷ =mR/90CI:c}s۾"xЬˢW$"{PG xZ1R0xE9+ ^rE`70l@.' }zN3U<3*? "c=p '1"kJ H'x+ oN9 d~c+jJz7(W]""?n괺6wN"Z`~:|??-E&®V$~X/& xL7pz^tY78Ue# #r=sU/EjRC4mxNݴ9 u:V ZIcr1xpzsfV9`qLI?\~ChOOmtעxZ}?S#b-X7 g~zzb3Sm*qvsM=w}&ڪ^׵(! ֵen QYSLSNk!/n00vRwSa9-V`[$`(9cq_@Bq`捭0;79?w<|k1 һlnrPNa&} ~-_O'0`!R%]%b1' X՝OR9+*"0O `uaӫ9ԥSy.ox x&(STݽ]Nr3~["veIGlq=M|gsxI6 ]ZΪ,zR}~#`F"iqcD>S G}1^+ i;Vi-Z]ܮ` b٥_/y(@qg W0.: 6 r>QR0+zb+I0TbN"$~)69{0V27SWWccXyKZc'iQLaW`xS\`źʸ&|V|!G[[ 3OrPY=15T~я 64/?Z~k}o፾}3]8濴n}a_6pS)2?WڥiWd}q{*1rXRd&m0cd"J# ,df8Nh;=7pn 6J~O2^S J:6ܷ0!wbO P=:-&} ` 9 r9ϧz> X75XkrѢL 7w}xNHR:2 +uN/'~h!nReQ6Q Ew|Yq1uyz8 `;6i<'[íZhu g>r`x}b2k꣧o~:hTW4|ki"xQ6Ln0 {e#27@^.1NSy e Q=̩B8<Scc> .Fr:~G=k,^!F~ ,}% "rGSYd?aY49PyU !~xm|/NܼPcT,/=Fk|u&{m]۾P>X޽i 0'6߼( !z^:S|,_&a]uѵ4jb~xƩ:,[ = R Y?}ڼ?x,1دv&@q Sz8Xz~"j=} ~h@'hF#p?xQ-lvpxcx&lxG·0L%y?-y`l7>q2A?"F}c!jB:J +Qv=Vu[Qml%R7aIT}x ? a7 1 -Ll}0O=up"3ҶW/!|w}w^qa M8Q?0IEhaX"`a ?!Q!R~q}~O`I0 Jy|!@99>8+u&! ʰ<6Iz S)Z_POw*nm=>Jh]&@nTR6IT ^Fx73!ַa$ 5Io:ȪmY[80*x"k+\ Ho}l"k, c{Z\ Q pz}3} JXOh٥LdR`6G^^[bYRʻd}4  2,; CQĴcmV{W\xx,MRl-n~ ?#}"SҥWN;~)"S9cLj뵿ūikiX7yny} t`V's$9:{wEk c$.~k}AprѢ!`lSs90IÝw&ef"pR9g}Tl} NkUK0Up ^ȥ{Hp`bqϩ^: }' Mz+5x('C$_I?^'z~+-}*?.x^1}My¸&L7&' bqG]˪1$oR8`.q}s־C98cvSfuַ _ۺxר:גxP-/mnQG`Rq=>nr!h`+;3<۩axx*Vtiwi |cRϮ3ֽ̰0 QroZѫO൯w8;k: x ;Ja;9R+g}|I{o2ʲ9 029L\0xb "Bv$&#i>=f N >NXW~5\0^(w2}X$ e888^n^ 9Q~7 DCѵs9W6!2\:?(#'$GJW\ 0E"g;Pv Nsx"}/:t+]JM*"^Ud|0M923"6H^&1oE.7*Htp{g<+cpby=8_skB\j""[9Pb9B& =93LaaXdP.0\0?"J" "S+=@9<AQ׻աxk",J$S}xZWH"UQ ]Xg< ߨg3-qe0*R$ܒ S8}_/e'+-Ӷ[sk%x0-peCr ϒ~=a(QWd\. \F0M>grq+SNHO  ܥݭnJ|P6Kc=Is} Ga)a=#vK:oKٍ&R[sټˏ" pwqSR 9!KS&vD A9 Rq} $SnIV[]}A |k|E Mu R.Idk}yvc iUSZ&zn*j-ɭ/SH\y5 ۠"0 xnz#ԯ, eŴ'c&<ݬ<S`kâna8=ʪ[x"pN02zK8.(v2@ ~xfuyUWa|:%Q^[|o5ZY"^{96Yv*x>_|UִtM9P## z/0-įdd,:p03S{9=+ ![!#="յjHh:[{?.u_%ccA }0x9>~9,ah2 Ary$VN ]=$} #1dMax!^!Kk FN8+{Ҽo[MRoe[_m/k.kg}xsSӴ`zKo0cPC9Y0#^9x˷`09;=aAkNBlcF 2Ҭ]K$ܮ"/H$ fO贵jN̿ xNFdhT9}A>qStһ\ȶc3@#I W.<ѬaA ; q2q $# ! !}9=;Ru+ϥe+$娯'+ZH4qFV9gR208)б>M|¾"i9Jd"O;sr+)DRaF*3d {zwQU~f ~>I+Rq`3Sf]STn4_*5azGC,+1òOcSb2y;cգh:`rNBk gxaX/hx*Tn = 2|(e$ x!'y+S=Y:i -BK":ơ&v-Y=Onjyf4T P`S7={m/ ZK&GbG AS*ÿ IoINU8Rw; 1Y "E Oyto/8~#ñl2f'h?CYd:qӷeĩ RL+~A3g=aRt3 QREw_;haSir ^i!|ROmJ/$lӿ [` >cF61 z7Ldxw9AXO"hm"NT I$pG~:bWS|n>Ϣܢ"%qL^ KpNA< &==ffF!yc $=ϭY]eDH>x_TP"a0ch['7a!?wn5u|c{O1"xsZ&y32  ~AcO45-fR. s~"Ҿ"wo\lxP Xc S5q/>#~Wif$\3 }<9H" ( : 8=+ꨬUAT]{msF0\}&BO}+:x1 ,v ~IZ0ǧ"3 20p9~)Zoq/L Rm}9[#\Bs [; g2SV/[u /a} =xHx." Qxh#a$'u<`:>2>+LSiwF1!eg`S }Vv $|,szΒxD\Rm o| :{Ӷn!0l, ( RR crsa,49MOH!@ }`9w;At0&.클5,u-cKӣ̺U.L0&%2"~x [`cnH}y"keRF{(ة `J#}wg<:;M ^\yhX!vBzrF?B/s<B)۱ w5:se{mѤh]Wm4W4bC3r$ pw`dzt!y`IhM)!edRm'>?wzKcRq6fp$)wUl`ARAgr:Rg[iYs5GK=FMG ``KɦuOQ!R/G`@qzd/(K%}bM x>RRVIY~#"@8 Sgq54v[(q c!FGa? UWZ$y}zק?>"6{""}.$`US& ' r$1(y7 V<~:  Mw'bxb7g~,iF8½k/{!2S/?:$eSRIRg9czrrNObi Ѻ/$,;R vxb" nmxn}3G,.٣u r`[<!@:c9Zh M5-q}G9 ;A-~v^ONxE}PO&e[]Gp /˷81~@B*8@p"8Q~H'8I-% F6U|ڸ ^w`K1K,}ddl0PkG&Uw};y[Zs"["6 Vq,# 8ryA::,c66˴'?t}H--":|Ƭ[  7#99$,+qS\ cy^ݸa"B-9%׮9Vw~vTꢷ%" [x"2gS?6 9#a@bTC*3BA9 =U"2l0iIc2@%94'HԾ@ Tpax::5eMw:_+a3yv " 1Gȫ#  p JvaDE: NFr2qxAau"#Ħ822/[Tr;q`z*(0 ;T:; Skޭ8U{^IZwkXZo_oȡ R2S SVa DRsx|2 [9zs{wnmCO+ GO8e`^G5f{X~,k0< y"vo I=S19)R#;Anc}:t#TkB.0R-Zgum}fJ+#2P~i%S3P*YA}2r:iRUQq0H9!={~ J}Vײm.ߺiYlkgLrT" &wH6`34e &L"%clyîA0 ~$[3u"pNO=  c{rYK ~F "a"Lr1ӯ2<"C".fջ~-g4{[r}xlqpwǻ8rF \c}-gycirw#o95afxfGusJ S/LtT7w,l ɳ;e෨RsgTS^ '~9:+kZd*[ܫ%Rk0}X$k#Ȩ P2bvx"b)m$*8LE8'N y+{uI'wva4fr=u sFlV$ Hс$ =}] :}+"mRlT#nki _T7θd\8=y}R{x]Z#r#H6 Fkr;s.&;s 9HSaխtU-n | vqS{gRtS.P9}0_[;mޭZRX{+"-7!G"9~nrYXp S!ӭoP̏t (0޹s#GLanJ!T#?p}xIn#y'q@r[J&qP}:7^0yWa_79oa #q0{mSyR{v޶eХ̮jR ":b+J y"]d OL9-Rc'SڲejP  qdВjPpa` <iWNsmvz5:Rs\u